﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace Ice.Net.Ecommerce.BusinessObjects.Common
{
	using BusinessObjects.Database.VISTACART;

	public class CommonUtility
	{
		public static string GetTextInLength(string txt, int length)
		{
			if (string.IsNullOrEmpty(txt))
			{
				return "";
			}

			if (txt.Length > length)
			{
				txt = txt.Substring(0, length);
				txt = txt.Substring(0, txt.LastIndexOf(" ")) + " ...";
			}
			return txt;// txt.Replace("&", "&amp;");
		}


		public static decimal GetPriceWithTax(decimal price)
		{
			if (VISTACARTHelper.AppDefaults.AppGlobalSettingsItem.ShowPriceWithTax.GetValueOrDefault())
			{
				return price * (1 + (VISTACARTHelper.AppDefaults.Tax.RatePercent / 100));
			}
			else
			{
				return price;
			}
		}

		public static void UpdateStatuses(bool showLeft)
		{
			LicenseManager.Current.TestMe(showLeft);
		}

	}
}
