﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Text.RegularExpressions;
using System.Net;
using System.Net.Mail;
using System.Net.Mime;

namespace Ice.Net.Ecommerce.BusinessObjects.Common
{

	public class EmailSender
	{
		public static bool SendEmail(string subject, string messageText, string toEmail, ref string errorMessage)
		{
			try
			{
				MailMessage msg = EmailUtility.EmailUtility.CreateMailMessage(
					VISTACARTHelper.AppDefaults.AppGlobalSettingsItem.FromEmail,
					toEmail,
					VISTACARTHelper.AppDefaults.AppGlobalSettingsItem.FromName,
					subject,
					messageText,
					false,
					null);
				SmtpClient smtp = EmailUtility.EmailUtility.CreateSmtpClient(
					VISTACARTHelper.AppDefaults.AppGlobalSettingsItem.EmailServer,
					VISTACARTHelper.AppDefaults.AppGlobalSettingsItem.EmailPort,
					VISTACARTHelper.AppDefaults.AppGlobalSettingsItem.EmailUsername,
					VISTACARTHelper.AppDefaults.AppGlobalSettingsItem.EmailPassword);
				smtp.Timeout = 30000;
				smtp.Send(msg);
				return true;
			}
			catch (Exception ex)
			{
				errorMessage = ex.Message;
				return false;
			}
		}


		//////public static string SendEmails(byte[] data, List<string> toEmails, string subject)
		//////{
		//////    List<Attachment> attachments = new List<Attachment>();
		//////    Attachment attach = EmailUtility.EmailUtility.CreateAttachment(data, subject + "_report.xls", "application/x-compressed");
		//////    attachments.Add(attach);

		//////    EmailSenderResult result = new EmailSenderResult();

		//////    foreach (string toEmail in toEmails)
		//////    {
		//////        try
		//////        {
		//////            MailMessage message = EmailUtility.EmailUtility.CreateMailMessage(AppSettings.FromEmail, toEmail, AppSettings.FromName, subject, "", false, attachments);
		//////            SmtpClient smtp = EmailUtility.EmailUtility.CreateSmtpClient(AppSettings.EmailServer, AppSettings.EmailServerPort, AppSettings.EmailUsername, AppSettings.EmailPassword);
		//////            smtp.Timeout = 30000;
		//////            smtp.Send(message);
		//////            emailResult.Add("SENT " + toEmail + "<br/>");
		//////        }
		//////        catch (Exception ex)
		//////        {
		//////            // sending failed
		//////            emailResult.Add("FAILED " + toEmail + " (" + ex.Message + ")<br/>");
		//////        }
		//////    }

		//////    string repString = "";
		//////    foreach (string result in emailResult)
		//////    {
		//////        repString += result;
		//////    }
		//////    return repString;
		//////}

	}
}
