﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class CampaignCollection
	{
		#region Database methods

		public static List<Campaign> LoadByProductID(int productID)
		{
			return new Query()
			.Select(new SqlName(db.Campaign + ".*"))
			.From(db.Campaign)
			.InnerJoin(db.ProductInCampaign, db.Campaign.CampaignID, db.ProductInCampaign.CampaignID)
			.Where(db.ProductInCampaign.ProductID, productID)
			.ToList<Campaign>();
		}

		#endregion

	}
}
