﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class NewsletterGroupCollection : List<NewsletterGroup>
	{
		#region Database methods
		// Database methods

		public static List<NewsletterGroup> LoadByUserID(int userID)
		{
			return new Query()
			.Select(new SqlName(db.NewsletterGroup + ".*"))
			.From(db.NewsletterGroup)
			.InnerJoin(db.UserInNewsletterGroup, db.NewsletterGroup.NewsletterGroupID, db.UserInNewsletterGroup.NewsletterGroupID)
			.Where(db.UserInNewsletterGroup.UserID, userID)
			.ToList<NewsletterGroup>();
		}


		#endregion


	}
}
