﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class ProductImageCollection
	{
		#region Database methods
		// Database methods

		public static List<ProductImage> LoadCollectionByProductID(int productID)
		{
			return new Query()
			.Where(db.ProductImage.ProductID, productID)
			.OrderBy(db.ProductImage.ProductImageID)
			.Take(100)
			.ToList<ProductImage>();
		}


		#endregion
	}
}
