﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class ProductInCampaignCollection : List<ProductInCampaign>
	{
		#region Database methods

		public static List<ProductInCampaign> LoadByCampaignID(int campaignID)
		{
			return new Query()
			.Where(db.ProductInCampaign.CampaignID, campaignID)
			.Take(1000)
			.ToList<ProductInCampaign>();
		}

		public int DeleteByProductID(int productID)
		{
			return new Query().Delete(db.ProductInCampaign)
			.Where(db.ProductInCampaign.ProductID, productID)
			.ExecuteNonQuery<ProductInCampaign>();
		}


		#endregion

	}
}
