﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; 
using Ice.Orm.Core.Criteria;
using System.Linq;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class ProductInCategory
	{
		#region Database methods
		// Database methods

		public static ProductInCategory LoadByProductIDAndCategoryID(int productID, int categoryID)
		{
			return new Query()
			.Where(db.ProductInCategory.ProductID, productID)
			.Where(db.ProductInCategory.CategoryID, categoryID)
			.ToList<ProductInCategory>().FirstOrDefault();
		}

		public static bool DeleteByProductIDAndCagegoryID(int productID, int categoryID)
		{
			return new Query().Delete(db.ProductInCategory)
			.Where(db.ProductInCategory.ProductID, productID)
			.Where(db.ProductInCategory.CategoryID, categoryID)
			.ExecuteNonQuery<ProductInCategory>() > 0;
			
		}

		#endregion

	}

}
