﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class RoleCollection : List<Role>
	{
		#region Database methods
		// Database methods

		public static List<Role> LoadByUserID(int userID)
		{
			return new Query()
			.Select(new SqlName(db.Role + ".*"))
			.From(db.Role)
			.InnerJoin(db.UserInRole, db.Role.RoleID, db.UserInRole.RoleID)
			.Where(db.UserInRole.UserID, userID)
			.ToList<Role>();
		}

		#endregion
	}
}
