﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml;

namespace Ice.Net.Ecommerce.CacheProvider.Configuration
{
	internal class EncryptionSection
	{
		private static void LoadConfiguration()
		{
			//  load from web.config
			mCookieEncryptionKey = System.Configuration.ConfigurationManager.AppSettings["CookieEncryptionKey"];
		}

		private static string mCookieEncryptionKey = null;
		
		public static string CookieEncryptionKey
		{
			get
			{
				if (mCookieEncryptionKey == null){LoadConfiguration();}
				return mCookieEncryptionKey; 
			}
		}

	}
}

