﻿
if(!this.Ice){Ice = {};}
if(!Ice.GCart) {Ice.GCart = {};}

Ice.Extend(Ice.GCart, {

	ShowLoadingMask: (function(){
		var mBodyMaskStyle = 
		{
			height: "100%",
			width: "100%",
			margin: "0",
			padding: "0"
			,cursor: "progress"
			//,overflowX:"hidden"
		};

		var mBodyOldStyle = {};
		var mHtmlOldStyle = {};
		var mIsLoading = false;
		var mDivMask = null;
		
		function CreateMask()
		{ 
			var html = "<div id='divLoadingMask' style=' display:none; width:100%; height:100%; position:absolute; top:0; left:0; z-index:100000; overflow:hidden;'>" +
"<iframe src='javascript:false;' frameborder='0' style='height:100%; width:100%; filter:alpha(opacity=0); opacity:0.0;'></iframe>" +
"<div id='divLoadingMaskOpacity' style=' background:black; height:100%; width:100%; position:absolute; top:0; left:0;'></div>" +
"<div id='divLoadingMaskImage' style=' height:100px;width:100%; position:absolute; top:-10000px; left:0; background-image: url(scripts/loadingAnimation.gif); background-position:center; background-repeat:no-repeat;'>\</div>" +
"</div>";

			var div = document.createElement("div");
			div.innerHTML = html;
			mDivMask = div.firstChild;
			try
			{
				document.getElementById("loadingMaskHolder").appendChild(mDivMask);
			}
			catch(ex)
			{
				//alert("Can't create loading mask");
			}
		}
		
		function SetOpacity(element, value)
		{
			if(element.style.opacity != null)
			{
				element.style.opacity = value/100; //ff, safari
			}
			else if(element.style.filter != null)
			{
				element.style.filter = "alpha(opacity = " + value +  ")"; // IE
			}
		}

		function ShowMask()
		{
			////alert(mIsLoading + ", " + mDivMask);
			if(mDivMask == null)
			{
				CreateMask();
			}
			if(mDivMask == null || mIsLoading)
			{
				return;
			}
			mIsLoading = true;
			// save body style
			var bs = document.body.style;
			for(var prop in mBodyMaskStyle)
			{
				mBodyOldStyle[prop] = bs[prop];
				mHtmlOldStyle[prop] = document.documentElement[prop];
			}
			
			// set body style
			for(var prop in mBodyMaskStyle)
			{
				document.body.style[prop] = mBodyMaskStyle[prop];
			}
			
			var divImage = document.getElementById("divLoadingMaskImage");
			divImage.style.display = "block";
			divImage.style.top = "-100px";
						
			var opdiv = document.getElementById("divLoadingMaskOpacity");
			SetOpacity(opdiv,5);
			
			// show mask
			mDivMask.style.display = "block";
	
			function GetScrolls()
			{
				// get scrollTop and scrollLeft
				var scrollTop = document.body.scrollTop > document.documentElement.scrollTop ? document.body.scrollTop : document.documentElement.scrollTop;
				var scrollLeft = document.body.scrollLeft > document.documentElement.scrollLeft ? document.body.scrollLeft : document.documentElement.scrollLeft;
				var scrollHeight = document.body.scrollHeight > document.documentElement.scrollHeight ? document.body.scrollHeight : document.documentElement.scrollHeight;
				var scrollWidth = document.body.scrollWidth > document.documentElement.scrollWidth ? document.body.scrollWidth : document.documentElement.scrollWidth;
				return { top: scrollTop, left: scrollLeft, height: scrollHeight, width: scrollWidth};
			}
			
			// visible size:
			var maskHeight = mDivMask.offsetHeight;
			var maskWidth = mDivMask.offsetWidth;

			var scrolls = GetScrolls();
			// show mask, fix size
			mDivMask.style.height = scrolls.height + "px";
			mDivMask.style.width = document.body.clientWidth + "px";
			
			var uagent = window.navigator.userAgent.toLowerCase();

			var opacity = 5;
			SetOpacity(opdiv,opacity);
			
			function IncreaseOpacity()
			{ 
				if(opacity > 5 && divImage.style.display.length > 0)
				{
					var FixPosition = function ()
					{
						if (mDivMask != null && mIsLoading)
						{
							divImage.style.display = "block";
							var scrolls = GetScrolls();
							divImage.style.top = (Math.round(scrolls.top + maskHeight / 2 - divImage.offsetHeight / 2)) + "px";
							divImage.style.left = (Math.round(scrolls.left + maskWidth / 2 - divImage.offsetWidth / 2)) + "px";
							setTimeout(FixPosition, 2000);
						}
					};

					FixPosition();
				}
				if(opacity < 30 && mIsLoading)
				{
					opacity += 5;
					
					SetOpacity(opdiv, opacity);
					setTimeout(IncreaseOpacity, 100); // increase opacity each 100 ms
				}
			}
			setTimeout(IncreaseOpacity, 3000); // delay before mask starts showing
		}

		function HideMask()
		{
			if(mDivMask == null || ! mIsLoading)
			{
				return;
			}
			mIsLoading = false;
			// hide mask
			/// restore size
			mDivMask.style.height = "100%";
			mDivMask.style.width = "100%";

			mDivMask.style.display = "none";
			
			var divImage = document.getElementById("divLoadingMaskImage");
			divImage.style.top = "-100px";
			divImage.style.display = "none";

			// restore body style
			for(var prop in mBodyOldStyle)
			{
				document.body.style[prop] = mBodyOldStyle[prop];
				document.documentElement[prop] = mHtmlOldStyle[prop];
			}
		}
		
		return (function(show){
			show == true ? ShowMask() : HideMask();
		});
	})()
	
});