﻿namespace Ice.Serialization.Json.Core
{
	using System.Globalization;

	internal class AtlasWeb
    {
		internal class ResourceManager
		{
			public static string GetString(string str, object o)
			{
				return str;
			}
		}

        private static CultureInfo resourceCulture = null;

        internal AtlasWeb()
        {
        }

        internal static string ApplicationServiceManager_Path
        {
            get
            {
                return ResourceManager.GetString("ApplicationServiceManager_Path", resourceCulture);
            }
        }

        internal static string AppService_Disabled
        {
            get
            {
                return ResourceManager.GetString("AppService_Disabled", resourceCulture);
            }
        }

        internal static string AppService_MultiplePaths
        {
            get
            {
                return ResourceManager.GetString("AppService_MultiplePaths", resourceCulture);
            }
        }

        internal static string AppService_RequiredSSL
        {
            get
            {
                return ResourceManager.GetString("AppService_RequiredSSL", resourceCulture);
            }
        }

        internal static string AppService_UnknownProfileProperty
        {
            get
            {
                return ResourceManager.GetString("AppService_UnknownProfileProperty", resourceCulture);
            }
        }

        internal static string ArgumentMustBeCurrentUser
        {
            get
            {
                return ResourceManager.GetString("ArgumentMustBeCurrentUser", resourceCulture);
            }
        }

        internal static string ArgumentMustBeNull
        {
            get
            {
                return ResourceManager.GetString("ArgumentMustBeNull", resourceCulture);
            }
        }

        internal static string AsyncPostBackTrigger_CannotFindEvent
        {
            get
            {
                return ResourceManager.GetString("AsyncPostBackTrigger_CannotFindEvent", resourceCulture);
            }
        }

        internal static string AsyncPostBackTrigger_EventName
        {
            get
            {
                return ResourceManager.GetString("AsyncPostBackTrigger_EventName", resourceCulture);
            }
        }

        internal static string AsyncPostBackTrigger_InvalidEvent
        {
            get
            {
                return ResourceManager.GetString("AsyncPostBackTrigger_InvalidEvent", resourceCulture);
            }
        }

        internal static string AttributeNotRecognized
        {
            get
            {
                return ResourceManager.GetString("AttributeNotRecognized", resourceCulture);
            }
        }

        internal static string Category_Sorting
        {
            get
            {
                return ResourceManager.GetString("Category_Sorting", resourceCulture);
            }
        }

        internal static string ClientService_BadJsonResponse
        {
            get
            {
                return ResourceManager.GetString("ClientService_BadJsonResponse", resourceCulture);
            }
        }

        internal static string Common_ArgumentInvalidType
        {
            get
            {
                return ResourceManager.GetString("Common_ArgumentInvalidType", resourceCulture);
            }
        }

        internal static string Common_NullOrEmpty
        {
            get
            {
                return ResourceManager.GetString("Common_NullOrEmpty", resourceCulture);
            }
        }

        internal static string Common_PageCannotBeNull
        {
            get
            {
                return ResourceManager.GetString("Common_PageCannotBeNull", resourceCulture);
            }
        }

        internal static string Common_ScriptManagerRequired
        {
            get
            {
                return ResourceManager.GetString("Common_ScriptManagerRequired", resourceCulture);
            }
        }

        internal static string ConvertersCollection_NotJavaScriptConverter
        {
            get
            {
                return ResourceManager.GetString("ConvertersCollection_NotJavaScriptConverter", resourceCulture);
            }
        }

        internal static string ConvertersCollection_UnknownType
        {
            get
            {
                return ResourceManager.GetString("ConvertersCollection_UnknownType", resourceCulture);
            }
        }

		//////[EditorBrowsable(EditorBrowsableState.Advanced)]
		//////internal static CultureInfo Culture
		//////{
		//////    get
		//////    {
		//////        return resourceCulture;
		//////    }
		//////    set
		//////    {
		//////        resourceCulture = value;
		//////    }
		//////}

        internal static string DataBoundControlHelper_NoNamingContainer
        {
            get
            {
                return ResourceManager.GetString("DataBoundControlHelper_NoNamingContainer", resourceCulture);
            }
        }

        internal static string DataPager_ControlIsntPageable
        {
            get
            {
                return ResourceManager.GetString("DataPager_ControlIsntPageable", resourceCulture);
            }
        }

        internal static string DataPager_Fields
        {
            get
            {
                return ResourceManager.GetString("DataPager_Fields", resourceCulture);
            }
        }

        internal static string DataPager_NoNamingContainer
        {
            get
            {
                return ResourceManager.GetString("DataPager_NoNamingContainer", resourceCulture);
            }
        }

        internal static string DataPager_NoPageableItemContainer
        {
            get
            {
                return ResourceManager.GetString("DataPager_NoPageableItemContainer", resourceCulture);
            }
        }

        internal static string DataPager_PageableItemContainerNotFound
        {
            get
            {
                return ResourceManager.GetString("DataPager_PageableItemContainerNotFound", resourceCulture);
            }
        }

        internal static string DataPager_PagedControlID
        {
            get
            {
                return ResourceManager.GetString("DataPager_PagedControlID", resourceCulture);
            }
        }

        internal static string DataPager_PagePropertiesCannotBeSet
        {
            get
            {
                return ResourceManager.GetString("DataPager_PagePropertiesCannotBeSet", resourceCulture);
            }
        }

        internal static string DataPager_PageSize
        {
            get
            {
                return ResourceManager.GetString("DataPager_PageSize", resourceCulture);
            }
        }

        internal static string DataPager_QueryStringField
        {
            get
            {
                return ResourceManager.GetString("DataPager_QueryStringField", resourceCulture);
            }
        }

        internal static string DataPagerField_Visible
        {
            get
            {
                return ResourceManager.GetString("DataPagerField_Visible", resourceCulture);
            }
        }

        internal static string ExpressionParser_AmbiguousConstructorInvocation
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_AmbiguousConstructorInvocation", resourceCulture);
            }
        }

        internal static string ExpressionParser_AmbiguousIndexerInvocation
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_AmbiguousIndexerInvocation", resourceCulture);
            }
        }

        internal static string ExpressionParser_AmbiguousMethodInvocation
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_AmbiguousMethodInvocation", resourceCulture);
            }
        }

        internal static string ExpressionParser_ArgsIncompatibleWithLambda
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_ArgsIncompatibleWithLambda", resourceCulture);
            }
        }

        internal static string ExpressionParser_BothTypesConvertToOther
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_BothTypesConvertToOther", resourceCulture);
            }
        }

        internal static string ExpressionParser_CannotConvertValue
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_CannotConvertValue", resourceCulture);
            }
        }

        internal static string ExpressionParser_CannotIndexMultipleDimensionalArray
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_CannotIndexMultipleDimensionalArray", resourceCulture);
            }
        }

        internal static string ExpressionParser_CloseBracketOrCommaExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_CloseBracketOrCommaExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_CloseParenOrCommaExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_CloseParenOrCommaExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_CloseParenOrOperatorExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_CloseParenOrOperatorExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_ColonExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_ColonExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_DigitExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_DigitExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_DotOrOpenParenExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_DotOrOpenParenExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_DuplicateIdentifier
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_DuplicateIdentifier", resourceCulture);
            }
        }

        internal static string ExpressionParser_ExpressionExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_ExpressionExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_ExpressionTypeMismatch
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_ExpressionTypeMismatch", resourceCulture);
            }
        }

        internal static string ExpressionParser_FirstExprMustBeBool
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_FirstExprMustBeBool", resourceCulture);
            }
        }

        internal static string ExpressionParser_IdentifierExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_IdentifierExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_IifRequiresThreeArgs
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_IifRequiresThreeArgs", resourceCulture);
            }
        }

        internal static string ExpressionParser_IncompatibleOperand
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_IncompatibleOperand", resourceCulture);
            }
        }

        internal static string ExpressionParser_IncompatibleOperands
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_IncompatibleOperands", resourceCulture);
            }
        }

        internal static string ExpressionParser_InvalidCharacter
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_InvalidCharacter", resourceCulture);
            }
        }

        internal static string ExpressionParser_InvalidCharacterLiteral
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_InvalidCharacterLiteral", resourceCulture);
            }
        }

        internal static string ExpressionParser_InvalidIndex
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_InvalidIndex", resourceCulture);
            }
        }

        internal static string ExpressionParser_InvalidIntegerLiteral
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_InvalidIntegerLiteral", resourceCulture);
            }
        }

        internal static string ExpressionParser_InvalidRealLiteral
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_InvalidRealLiteral", resourceCulture);
            }
        }

        internal static string ExpressionParser_MethodIsVoid
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_MethodIsVoid", resourceCulture);
            }
        }

        internal static string ExpressionParser_MethodsAreInaccessible
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_MethodsAreInaccessible", resourceCulture);
            }
        }

        internal static string ExpressionParser_MissingAsClause
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_MissingAsClause", resourceCulture);
            }
        }

        internal static string ExpressionParser_NeitherTypeConvertsToOther
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_NeitherTypeConvertsToOther", resourceCulture);
            }
        }

        internal static string ExpressionParser_NoApplicableAggregate
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_NoApplicableAggregate", resourceCulture);
            }
        }

        internal static string ExpressionParser_NoApplicableIndexer
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_NoApplicableIndexer", resourceCulture);
            }
        }

        internal static string ExpressionParser_NoApplicableMethod
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_NoApplicableMethod", resourceCulture);
            }
        }

        internal static string ExpressionParser_NoItInScope
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_NoItInScope", resourceCulture);
            }
        }

        internal static string ExpressionParser_NoMatchingConstructor
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_NoMatchingConstructor", resourceCulture);
            }
        }

        internal static string ExpressionParser_OpenBracketExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_OpenBracketExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_OpenParenExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_OpenParenExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_SyntaxError
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_SyntaxError", resourceCulture);
            }
        }

        internal static string ExpressionParser_TokenExpected
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_TokenExpected", resourceCulture);
            }
        }

        internal static string ExpressionParser_TypeHasNoNullableForm
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_TypeHasNoNullableForm", resourceCulture);
            }
        }

        internal static string ExpressionParser_UnknownIdentifier
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_UnknownIdentifier", resourceCulture);
            }
        }

        internal static string ExpressionParser_UnknownPropertyOrField
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_UnknownPropertyOrField", resourceCulture);
            }
        }

        internal static string ExpressionParser_UnterminatedStringLiteral
        {
            get
            {
                return ResourceManager.GetString("ExpressionParser_UnterminatedStringLiteral", resourceCulture);
            }
        }

        internal static string ExtenderControl_TargetControlDifferentUpdatePanel
        {
            get
            {
                return ResourceManager.GetString("ExtenderControl_TargetControlDifferentUpdatePanel", resourceCulture);
            }
        }

        internal static string ExtenderControl_TargetControlID
        {
            get
            {
                return ResourceManager.GetString("ExtenderControl_TargetControlID", resourceCulture);
            }
        }

        internal static string ExtenderControl_TargetControlIDEmpty
        {
            get
            {
                return ResourceManager.GetString("ExtenderControl_TargetControlIDEmpty", resourceCulture);
            }
        }

        internal static string ExtenderControl_TargetControlIDInvalid
        {
            get
            {
                return ResourceManager.GetString("ExtenderControl_TargetControlIDInvalid", resourceCulture);
            }
        }

        internal static string JSON_ArrayTypeNotSupported
        {
            get
            {
                return ResourceManager.GetString("JSON_ArrayTypeNotSupported", resourceCulture);
            }
        }

        internal static string JSON_BadEscape
        {
            get
            {
                return ResourceManager.GetString("JSON_BadEscape", resourceCulture);
            }
        }

        internal static string JSON_CannotConvertObjectToType
        {
            get
            {
                return ResourceManager.GetString("JSON_CannotConvertObjectToType", resourceCulture);
            }
        }

        internal static string JSON_CannotCreateListType
        {
            get
            {
                return ResourceManager.GetString("JSON_CannotCreateListType", resourceCulture);
            }
        }

        internal static string JSON_CircularReference
        {
            get
            {
                return ResourceManager.GetString("JSON_CircularReference", resourceCulture);
            }
        }

        internal static string JSON_DepthLimitExceeded
        {
            get
            {
                return ResourceManager.GetString("JSON_DepthLimitExceeded", resourceCulture);
            }
        }

        internal static string JSON_DeserializerTypeMismatch
        {
            get
            {
                return ResourceManager.GetString("JSON_DeserializerTypeMismatch", resourceCulture);
            }
        }

        internal static string JSON_DictionaryTypeNotSupported
        {
            get
            {
                return ResourceManager.GetString("JSON_DictionaryTypeNotSupported", resourceCulture);
            }
        }

        internal static string JSON_ExpectedOpenBrace
        {
            get
            {
                return ResourceManager.GetString("JSON_ExpectedOpenBrace", resourceCulture);
            }
        }

        internal static string JSON_IllegalPrimitive
        {
            get
            {
                return ResourceManager.GetString("JSON_IllegalPrimitive", resourceCulture);
            }
        }

        internal static string JSON_InvalidArrayEnd
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidArrayEnd", resourceCulture);
            }
        }

        internal static string JSON_InvalidArrayExpectComma
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidArrayExpectComma", resourceCulture);
            }
        }

        internal static string JSON_InvalidArrayExtraComma
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidArrayExtraComma", resourceCulture);
            }
        }

        internal static string JSON_InvalidArrayStart
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidArrayStart", resourceCulture);
            }
        }

        internal static string JSON_InvalidMaxJsonLength
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidMaxJsonLength", resourceCulture);
            }
        }

        internal static string JSON_InvalidMemberName
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidMemberName", resourceCulture);
            }
        }

        internal static string JSON_InvalidObject
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidObject", resourceCulture);
            }
        }

        internal static string JSON_InvalidRecursionLimit
        {
            get
            {
                return ResourceManager.GetString("JSON_InvalidRecursionLimit", resourceCulture);
            }
        }

        internal static string JSON_MaxJsonLengthExceeded
        {
            get
            {
                return ResourceManager.GetString("JSON_MaxJsonLengthExceeded", resourceCulture);
            }
        }

        internal static string JSON_NoConstructor
        {
            get
            {
                return ResourceManager.GetString("JSON_NoConstructor", resourceCulture);
            }
        }

        internal static string JSON_StringNotQuoted
        {
            get
            {
                return ResourceManager.GetString("JSON_StringNotQuoted", resourceCulture);
            }
        }

        internal static string JSON_UnterminatedString
        {
            get
            {
                return ResourceManager.GetString("JSON_UnterminatedString", resourceCulture);
            }
        }

        internal static string JSON_ValueTypeCannotBeNull
        {
            get
            {
                return ResourceManager.GetString("JSON_ValueTypeCannotBeNull", resourceCulture);
            }
        }

        internal static string LinqDataSource_AutoGenerateOrderByClause
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_AutoGenerateOrderByClause", resourceCulture);
            }
        }

        internal static string LinqDataSource_AutoGenerateWhereClause
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_AutoGenerateWhereClause", resourceCulture);
            }
        }

        internal static string LinqDataSource_AutoPage
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_AutoPage", resourceCulture);
            }
        }

        internal static string LinqDataSource_AutoSort
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_AutoSort", resourceCulture);
            }
        }

        internal static string LinqDataSource_ContextCreated
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_ContextCreated", resourceCulture);
            }
        }

        internal static string LinqDataSource_ContextCreating
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_ContextCreating", resourceCulture);
            }
        }

        internal static string LinqDataSource_ContextDisposing
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_ContextDisposing", resourceCulture);
            }
        }

        internal static string LinqDataSource_ContextTypeName
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_ContextTypeName", resourceCulture);
            }
        }

        internal static string LinqDataSource_Deleted
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Deleted", resourceCulture);
            }
        }

        internal static string LinqDataSource_DeleteParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_DeleteParameters", resourceCulture);
            }
        }

        internal static string LinqDataSource_Deleting
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Deleting", resourceCulture);
            }
        }

        internal static string LinqDataSource_Description
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Description", resourceCulture);
            }
        }

        internal static string LinqDataSource_DisplayName
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_DisplayName", resourceCulture);
            }
        }

        internal static string LinqDataSource_EnableDelete
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_EnableDelete", resourceCulture);
            }
        }

        internal static string LinqDataSource_EnableInsert
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_EnableInsert", resourceCulture);
            }
        }

        internal static string LinqDataSource_EnableUpdate
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_EnableUpdate", resourceCulture);
            }
        }

        internal static string LinqDataSource_GroupBy
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_GroupBy", resourceCulture);
            }
        }

        internal static string LinqDataSource_GroupByParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_GroupByParameters", resourceCulture);
            }
        }

        internal static string LinqDataSource_Inserted
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Inserted", resourceCulture);
            }
        }

        internal static string LinqDataSource_Inserting
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Inserting", resourceCulture);
            }
        }

        internal static string LinqDataSource_InsertParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_InsertParameters", resourceCulture);
            }
        }

        internal static string LinqDataSource_InvalidViewName
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_InvalidViewName", resourceCulture);
            }
        }

        internal static string LinqDataSource_OrderBy
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_OrderBy", resourceCulture);
            }
        }

        internal static string LinqDataSource_OrderByParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_OrderByParameters", resourceCulture);
            }
        }

        internal static string LinqDataSource_OrderGroupsBy
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_OrderGroupsBy", resourceCulture);
            }
        }

        internal static string LinqDataSource_OrderGroupsByParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_OrderGroupsByParameters", resourceCulture);
            }
        }

        internal static string LinqDataSource_Select
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Select", resourceCulture);
            }
        }

        internal static string LinqDataSource_Selected
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Selected", resourceCulture);
            }
        }

        internal static string LinqDataSource_Selecting
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Selecting", resourceCulture);
            }
        }

        internal static string LinqDataSource_SelectParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_SelectParameters", resourceCulture);
            }
        }

        internal static string LinqDataSource_StoreOriginalValuesInViewState
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_StoreOriginalValuesInViewState", resourceCulture);
            }
        }

        internal static string LinqDataSource_TableName
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_TableName", resourceCulture);
            }
        }

        internal static string LinqDataSource_Updated
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Updated", resourceCulture);
            }
        }

        internal static string LinqDataSource_UpdateParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_UpdateParameters", resourceCulture);
            }
        }

        internal static string LinqDataSource_Updating
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Updating", resourceCulture);
            }
        }

        internal static string LinqDataSource_Where
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_Where", resourceCulture);
            }
        }

        internal static string LinqDataSource_WhereParameters
        {
            get
            {
                return ResourceManager.GetString("LinqDataSource_WhereParameters", resourceCulture);
            }
        }

        internal static string LinqDataSourceValidationException_ValidationFailed
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceValidationException_ValidationFailed", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_CannotConvertType
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_CannotConvertType", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_ContextTypeNameChanged
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_ContextTypeNameChanged", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_ContextTypeNameNotFound
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_ContextTypeNameNotFound", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_ContextTypeNameNotSpecified
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_ContextTypeNameNotSpecified", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_DeleteNotSupported
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_DeleteNotSupported", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_GroupByNotSupportedOnEdit
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_GroupByNotSupportedOnEdit", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_InsertNotSupported
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_InsertNotSupported", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_InsertRequiresValues
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_InsertRequiresValues", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_InvalidContextType
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_InvalidContextType", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_InvalidOrderByFieldName
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_InvalidOrderByFieldName", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_InvalidParameterName
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_InvalidParameterName", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_InvalidTablePropertyType
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_InvalidTablePropertyType", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_OrderByAlreadySpecified
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_OrderByAlreadySpecified", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_OrderGroupsByRequiresGroupBy
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_OrderGroupsByRequiresGroupBy", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_OriginalValuesNotFound
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_OriginalValuesNotFound", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_PagingNotHandled
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_PagingNotHandled", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_ParametersMustBeNamed
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_ParametersMustBeNamed", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_SelectNewNotSupportedOnEdit
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_SelectNewNotSupportedOnEdit", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_TableNameChanged
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_TableNameChanged", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_TableNameNotFound
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_TableNameNotFound", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_TableNameNotSpecified
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_TableNameNotSpecified", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_UpdateNotSupported
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_UpdateNotSupported", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_ValidationFailed
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_ValidationFailed", resourceCulture);
            }
        }

        internal static string LinqDataSourceView_WhereAlreadySpecified
        {
            get
            {
                return ResourceManager.GetString("LinqDataSourceView_WhereAlreadySpecified", resourceCulture);
            }
        }

        internal static string ListView_AlternatingItemTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_AlternatingItemTemplate", resourceCulture);
            }
        }

        internal static string ListView_ContainerNameMustNotBeEmpty
        {
            get
            {
                return ResourceManager.GetString("ListView_ContainerNameMustNotBeEmpty", resourceCulture);
            }
        }

        internal static string ListView_ConvertEmptyStringToNull
        {
            get
            {
                return ResourceManager.GetString("ListView_ConvertEmptyStringToNull", resourceCulture);
            }
        }

        internal static string ListView_DataKeyNames
        {
            get
            {
                return ResourceManager.GetString("ListView_DataKeyNames", resourceCulture);
            }
        }

        internal static string ListView_DataKeyNamesMustBeSpecified
        {
            get
            {
                return ResourceManager.GetString("ListView_DataKeyNamesMustBeSpecified", resourceCulture);
            }
        }

        internal static string ListView_DataKeys
        {
            get
            {
                return ResourceManager.GetString("ListView_DataKeys", resourceCulture);
            }
        }

        internal static string ListView_DataSourceDoesntSupportPaging
        {
            get
            {
                return ResourceManager.GetString("ListView_DataSourceDoesntSupportPaging", resourceCulture);
            }
        }

        internal static string ListView_DataSourceMustBeCollectionWhenNotDataBinding
        {
            get
            {
                return ResourceManager.GetString("ListView_DataSourceMustBeCollectionWhenNotDataBinding", resourceCulture);
            }
        }

        internal static string ListView_EditIndex
        {
            get
            {
                return ResourceManager.GetString("ListView_EditIndex", resourceCulture);
            }
        }

        internal static string ListView_EditItem
        {
            get
            {
                return ResourceManager.GetString("ListView_EditItem", resourceCulture);
            }
        }

        internal static string ListView_EditItemTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_EditItemTemplate", resourceCulture);
            }
        }

        internal static string ListView_EmptyDataTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_EmptyDataTemplate", resourceCulture);
            }
        }

        internal static string ListView_EmptyItemTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_EmptyItemTemplate", resourceCulture);
            }
        }

        internal static string ListView_GroupContainerID
        {
            get
            {
                return ResourceManager.GetString("ListView_GroupContainerID", resourceCulture);
            }
        }

        internal static string ListView_GroupItemCount
        {
            get
            {
                return ResourceManager.GetString("ListView_GroupItemCount", resourceCulture);
            }
        }

        internal static string ListView_GroupItemCountNoGroupTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_GroupItemCountNoGroupTemplate", resourceCulture);
            }
        }

        internal static string ListView_GroupSeparatorTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_GroupSeparatorTemplate", resourceCulture);
            }
        }

        internal static string ListView_GroupTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_GroupTemplate", resourceCulture);
            }
        }

        internal static string ListView_InsertItem
        {
            get
            {
                return ResourceManager.GetString("ListView_InsertItem", resourceCulture);
            }
        }

        internal static string ListView_InsertItemPosition
        {
            get
            {
                return ResourceManager.GetString("ListView_InsertItemPosition", resourceCulture);
            }
        }

        internal static string ListView_InsertItemTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_InsertItemTemplate", resourceCulture);
            }
        }

        internal static string ListView_InsertTemplateRequired
        {
            get
            {
                return ResourceManager.GetString("ListView_InsertTemplateRequired", resourceCulture);
            }
        }

        internal static string ListView_InvalidCancel
        {
            get
            {
                return ResourceManager.GetString("ListView_InvalidCancel", resourceCulture);
            }
        }

        internal static string ListView_InvalidDelete
        {
            get
            {
                return ResourceManager.GetString("ListView_InvalidDelete", resourceCulture);
            }
        }

        internal static string ListView_InvalidEdit
        {
            get
            {
                return ResourceManager.GetString("ListView_InvalidEdit", resourceCulture);
            }
        }

        internal static string ListView_InvalidInsert
        {
            get
            {
                return ResourceManager.GetString("ListView_InvalidInsert", resourceCulture);
            }
        }

        internal static string ListView_InvalidSelect
        {
            get
            {
                return ResourceManager.GetString("ListView_InvalidSelect", resourceCulture);
            }
        }

        internal static string ListView_InvalidUpdate
        {
            get
            {
                return ResourceManager.GetString("ListView_InvalidUpdate", resourceCulture);
            }
        }

        internal static string ListView_ItemPlaceholderID
        {
            get
            {
                return ResourceManager.GetString("ListView_ItemPlaceholderID", resourceCulture);
            }
        }

        internal static string ListView_Items
        {
            get
            {
                return ResourceManager.GetString("ListView_Items", resourceCulture);
            }
        }

        internal static string ListView_ItemSeparatorTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_ItemSeparatorTemplate", resourceCulture);
            }
        }

        internal static string ListView_ItemsNotDataItems
        {
            get
            {
                return ResourceManager.GetString("ListView_ItemsNotDataItems", resourceCulture);
            }
        }

        internal static string ListView_ItemTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_ItemTemplate", resourceCulture);
            }
        }

        internal static string ListView_ItemTemplateRequired
        {
            get
            {
                return ResourceManager.GetString("ListView_ItemTemplateRequired", resourceCulture);
            }
        }

        internal static string ListView_LayoutTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_LayoutTemplate", resourceCulture);
            }
        }

        internal static string ListView_Missing_VirtualItemCount
        {
            get
            {
                return ResourceManager.GetString("ListView_Missing_VirtualItemCount", resourceCulture);
            }
        }

        internal static string ListView_NeedICollectionOrTotalRowCount
        {
            get
            {
                return ResourceManager.GetString("ListView_NeedICollectionOrTotalRowCount", resourceCulture);
            }
        }

        internal static string ListView_NoGroupPlaceholder
        {
            get
            {
                return ResourceManager.GetString("ListView_NoGroupPlaceholder", resourceCulture);
            }
        }

        internal static string ListView_NoInsertItem
        {
            get
            {
                return ResourceManager.GetString("ListView_NoInsertItem", resourceCulture);
            }
        }

        internal static string ListView_NoItemPlaceholder
        {
            get
            {
                return ResourceManager.GetString("ListView_NoItemPlaceholder", resourceCulture);
            }
        }

        internal static string ListView_NullView
        {
            get
            {
                return ResourceManager.GetString("ListView_NullView", resourceCulture);
            }
        }

        internal static string ListView_OnItemCanceling
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemCanceling", resourceCulture);
            }
        }

        internal static string ListView_OnItemCommand
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemCommand", resourceCulture);
            }
        }

        internal static string ListView_OnItemCreated
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemCreated", resourceCulture);
            }
        }

        internal static string ListView_OnItemDataBound
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemDataBound", resourceCulture);
            }
        }

        internal static string ListView_OnItemDeleted
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemDeleted", resourceCulture);
            }
        }

        internal static string ListView_OnItemDeleting
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemDeleting", resourceCulture);
            }
        }

        internal static string ListView_OnItemEditing
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemEditing", resourceCulture);
            }
        }

        internal static string ListView_OnItemInserted
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemInserted", resourceCulture);
            }
        }

        internal static string ListView_OnItemInserting
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemInserting", resourceCulture);
            }
        }

        internal static string ListView_OnItemUpdated
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemUpdated", resourceCulture);
            }
        }

        internal static string ListView_OnItemUpdating
        {
            get
            {
                return ResourceManager.GetString("ListView_OnItemUpdating", resourceCulture);
            }
        }

        internal static string ListView_OnLayoutCreated
        {
            get
            {
                return ResourceManager.GetString("ListView_OnLayoutCreated", resourceCulture);
            }
        }

        internal static string ListView_OnPagePropertiesChanged
        {
            get
            {
                return ResourceManager.GetString("ListView_OnPagePropertiesChanged", resourceCulture);
            }
        }

        internal static string ListView_OnPagePropertiesChanging
        {
            get
            {
                return ResourceManager.GetString("ListView_OnPagePropertiesChanging", resourceCulture);
            }
        }

        internal static string ListView_OnSelectedIndexChanged
        {
            get
            {
                return ResourceManager.GetString("ListView_OnSelectedIndexChanged", resourceCulture);
            }
        }

        internal static string ListView_OnSelectedIndexChanging
        {
            get
            {
                return ResourceManager.GetString("ListView_OnSelectedIndexChanging", resourceCulture);
            }
        }

        internal static string ListView_OnSorted
        {
            get
            {
                return ResourceManager.GetString("ListView_OnSorted", resourceCulture);
            }
        }

        internal static string ListView_OnSorting
        {
            get
            {
                return ResourceManager.GetString("ListView_OnSorting", resourceCulture);
            }
        }

        internal static string ListView_SelectedIndex
        {
            get
            {
                return ResourceManager.GetString("ListView_SelectedIndex", resourceCulture);
            }
        }

        internal static string ListView_SelectedItemTemplate
        {
            get
            {
                return ResourceManager.GetString("ListView_SelectedItemTemplate", resourceCulture);
            }
        }

        internal static string ListView_SortDirection
        {
            get
            {
                return ResourceManager.GetString("ListView_SortDirection", resourceCulture);
            }
        }

        internal static string ListView_SortExpression
        {
            get
            {
                return ResourceManager.GetString("ListView_SortExpression", resourceCulture);
            }
        }

        internal static string ListView_StyleNotSupported
        {
            get
            {
                return ResourceManager.GetString("ListView_StyleNotSupported", resourceCulture);
            }
        }

        internal static string ListView_StylePropertiesNotSupported
        {
            get
            {
                return ResourceManager.GetString("ListView_StylePropertiesNotSupported", resourceCulture);
            }
        }

        internal static string ListView_UnhandledEvent
        {
            get
            {
                return ResourceManager.GetString("ListView_UnhandledEvent", resourceCulture);
            }
        }

        internal static string ListViewPagedDataSource_CannotGetCount
        {
            get
            {
                return ResourceManager.GetString("ListViewPagedDataSource_CannotGetCount", resourceCulture);
            }
        }

        internal static string ListViewPagedDataSource_EnumeratorMoveNextNotCalled
        {
            get
            {
                return ResourceManager.GetString("ListViewPagedDataSource_EnumeratorMoveNextNotCalled", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_ButtonCssClass
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_ButtonCssClass", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_ButtonType
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_ButtonType", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_FirstPageImageUrl
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_FirstPageImageUrl", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_FirstPageText
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_FirstPageText", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_LastPageImageUrl
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_LastPageImageUrl", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_LastPageText
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_LastPageText", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_NextPageImageUrl
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_NextPageImageUrl", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_NextPageText
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_NextPageText", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_PreviousPageImageUrl
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_PreviousPageImageUrl", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_PreviousPageText
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_PreviousPageText", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_RenderDisabledButtonsAsLabels
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_RenderDisabledButtonsAsLabels", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_RenderNonBreakingSpacesBetweenControls
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_RenderNonBreakingSpacesBetweenControls", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_ShowFirstPageButton
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_ShowFirstPageButton", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_ShowLastPageButton
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_ShowLastPageButton", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_ShowNextPageButton
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_ShowNextPageButton", resourceCulture);
            }
        }

        internal static string NextPreviousPagerField_ShowPreviousPageButton
        {
            get
            {
                return ResourceManager.GetString("NextPreviousPagerField_ShowPreviousPageButton", resourceCulture);
            }
        }

        internal static string NextPrevPagerField_DefaultFirstPageText
        {
            get
            {
                return ResourceManager.GetString("NextPrevPagerField_DefaultFirstPageText", resourceCulture);
            }
        }

        internal static string NextPrevPagerField_DefaultLastPageText
        {
            get
            {
                return ResourceManager.GetString("NextPrevPagerField_DefaultLastPageText", resourceCulture);
            }
        }

        internal static string NextPrevPagerField_DefaultNextPageText
        {
            get
            {
                return ResourceManager.GetString("NextPrevPagerField_DefaultNextPageText", resourceCulture);
            }
        }

        internal static string NextPrevPagerField_DefaultPreviousPageText
        {
            get
            {
                return ResourceManager.GetString("NextPrevPagerField_DefaultPreviousPageText", resourceCulture);
            }
        }

        internal static string NumericPagerField_ButtonCount
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_ButtonCount", resourceCulture);
            }
        }

        internal static string NumericPagerField_ButtonType
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_ButtonType", resourceCulture);
            }
        }

        internal static string NumericPagerField_CurrentPageLabelCssClass
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_CurrentPageLabelCssClass", resourceCulture);
            }
        }

        internal static string NumericPagerField_DefaultNextPageText
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_DefaultNextPageText", resourceCulture);
            }
        }

        internal static string NumericPagerField_DefaultPreviousPageText
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_DefaultPreviousPageText", resourceCulture);
            }
        }

        internal static string NumericPagerField_NextPageImageUrl
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_NextPageImageUrl", resourceCulture);
            }
        }

        internal static string NumericPagerField_NextPageText
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_NextPageText", resourceCulture);
            }
        }

        internal static string NumericPagerField_NextPreviousButtonCssClass
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_NextPreviousButtonCssClass", resourceCulture);
            }
        }

        internal static string NumericPagerField_NumericButtonCssClass
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_NumericButtonCssClass", resourceCulture);
            }
        }

        internal static string NumericPagerField_PreviousPageImageUrl
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_PreviousPageImageUrl", resourceCulture);
            }
        }

        internal static string NumericPagerField_PreviousPageText
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_PreviousPageText", resourceCulture);
            }
        }

        internal static string NumericPagerField_RenderNonBreakingSpacesBetweenControls
        {
            get
            {
                return ResourceManager.GetString("NumericPagerField_RenderNonBreakingSpacesBetweenControls", resourceCulture);
            }
        }

        internal static string PageRequestManager_RegisterDataItemInNonAsyncRequest
        {
            get
            {
                return ResourceManager.GetString("PageRequestManager_RegisterDataItemInNonAsyncRequest", resourceCulture);
            }
        }

        internal static string PageRequestManager_RegisterDataItemTwice
        {
            get
            {
                return ResourceManager.GetString("PageRequestManager_RegisterDataItemTwice", resourceCulture);
            }
        }

        internal static string PagerFieldCollection_InvalidType
        {
            get
            {
                return ResourceManager.GetString("PagerFieldCollection_InvalidType", resourceCulture);
            }
        }

        internal static string PagerFieldCollection_InvalidTypeIndex
        {
            get
            {
                return ResourceManager.GetString("PagerFieldCollection_InvalidTypeIndex", resourceCulture);
            }
        }

        internal static string ParseException_ParseExceptionFormat
        {
            get
            {
                return ResourceManager.GetString("ParseException_ParseExceptionFormat", resourceCulture);
            }
        }

        internal static string ProfileServiceManager_LoadProperitesWithNonDefaultPath
        {
            get
            {
                return ResourceManager.GetString("ProfileServiceManager_LoadProperitesWithNonDefaultPath", resourceCulture);
            }
        }

        internal static string ProfileServiceManager_LoadProperties
        {
            get
            {
                return ResourceManager.GetString("ProfileServiceManager_LoadProperties", resourceCulture);
            }
        }

        internal static string ProxyGenerator_UnsupportedType
        {
            get
            {
                return ResourceManager.GetString("ProxyGenerator_UnsupportedType", resourceCulture);
            }
        }

        internal static string ProxyHelper_BadStatusCode
        {
            get
            {
                return ResourceManager.GetString("ProxyHelper_BadStatusCode", resourceCulture);
            }
        }

		////internal static System.Resources.ResourceManager ResourceManager
		////{
		////    get
		////    {
		////        if (object.ReferenceEquals(resourceMan, null))
		////        {
		////            System.Resources.ResourceManager manager = new System.Resources.ResourceManager("System.Web.Resources.AtlasWeb", typeof(AtlasWeb).Assembly);
		////            resourceMan = manager;
		////        }
		////        return resourceMan;
		////    }
		////}

        internal static string RoleService_RoleProviderNotFound
        {
            get
            {
                return ResourceManager.GetString("RoleService_RoleProviderNotFound", resourceCulture);
            }
        }

        internal static string RoleService_RolesFeatureNotEnabled
        {
            get
            {
                return ResourceManager.GetString("RoleService_RolesFeatureNotEnabled", resourceCulture);
            }
        }

        internal static string RoleServiceManager_LoadRoles
        {
            get
            {
                return ResourceManager.GetString("RoleServiceManager_LoadRoles", resourceCulture);
            }
        }

        internal static string RoleServiceManager_LoadRolesWithNonDefaultPath
        {
            get
            {
                return ResourceManager.GetString("RoleServiceManager_LoadRolesWithNonDefaultPath", resourceCulture);
            }
        }

        internal static string ScriptControlDescriptor_IDNotSettable
        {
            get
            {
                return ResourceManager.GetString("ScriptControlDescriptor_IDNotSettable", resourceCulture);
            }
        }

        internal static string ScriptControlManager_ExtenderControlNotRegistered
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_ExtenderControlNotRegistered", resourceCulture);
            }
        }

        internal static string ScriptControlManager_NoTargetControlTypes
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_NoTargetControlTypes", resourceCulture);
            }
        }

        internal static string ScriptControlManager_RegisterExtenderControlTooEarly
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_RegisterExtenderControlTooEarly", resourceCulture);
            }
        }

        internal static string ScriptControlManager_RegisterExtenderControlTooLate
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_RegisterExtenderControlTooLate", resourceCulture);
            }
        }

        internal static string ScriptControlManager_RegisterScriptControlTooEarly
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_RegisterScriptControlTooEarly", resourceCulture);
            }
        }

        internal static string ScriptControlManager_RegisterScriptControlTooLate
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_RegisterScriptControlTooLate", resourceCulture);
            }
        }

        internal static string ScriptControlManager_ScriptControlNotRegistered
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_ScriptControlNotRegistered", resourceCulture);
            }
        }

        internal static string ScriptControlManager_TargetControlTypeInvalid
        {
            get
            {
                return ResourceManager.GetString("ScriptControlManager_TargetControlTypeInvalid", resourceCulture);
            }
        }

        internal static string ScriptManager_AllowCustomErrorsRedirect
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_AllowCustomErrorsRedirect", resourceCulture);
            }
        }

        internal static string ScriptManager_AsyncPostBackError
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_AsyncPostBackError", resourceCulture);
            }
        }

        internal static string ScriptManager_AsyncPostBackErrorMessage
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_AsyncPostBackErrorMessage", resourceCulture);
            }
        }

        internal static string ScriptManager_AsyncPostBackNotInPartialRenderingMode
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_AsyncPostBackNotInPartialRenderingMode", resourceCulture);
            }
        }

        internal static string ScriptManager_AsyncPostBackTimeout
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_AsyncPostBackTimeout", resourceCulture);
            }
        }

        internal static string ScriptManager_AuthenticationService
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_AuthenticationService", resourceCulture);
            }
        }

        internal static string ScriptManager_CannotChangeEnablePartialRendering
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_CannotChangeEnablePartialRendering", resourceCulture);
            }
        }

        internal static string ScriptManager_CannotChangeEnableScriptGlobalization
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_CannotChangeEnableScriptGlobalization", resourceCulture);
            }
        }

        internal static string ScriptManager_CannotChangeSupportsPartialRendering
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_CannotChangeSupportsPartialRendering", resourceCulture);
            }
        }

        internal static string ScriptManager_CannotRegisterBothPostBacks
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_CannotRegisterBothPostBacks", resourceCulture);
            }
        }

        internal static string ScriptManager_CannotRegisterPage
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_CannotRegisterPage", resourceCulture);
            }
        }

        internal static string ScriptManager_CannotSetSupportsPartialRenderingWhenDisabled
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_CannotSetSupportsPartialRenderingWhenDisabled", resourceCulture);
            }
        }

        internal static string ScriptManager_EnablePageMethods
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_EnablePageMethods", resourceCulture);
            }
        }

        internal static string ScriptManager_EnablePartialRendering
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_EnablePartialRendering", resourceCulture);
            }
        }

        internal static string ScriptManager_EnableScriptGlobalization
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_EnableScriptGlobalization", resourceCulture);
            }
        }

        internal static string ScriptManager_EnableScriptLocalization
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_EnableScriptLocalization", resourceCulture);
            }
        }

        internal static string ScriptManager_FrameworkFailedToLoad
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_FrameworkFailedToLoad", resourceCulture);
            }
        }

        internal static string ScriptManager_InvalidControlRegistration
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_InvalidControlRegistration", resourceCulture);
            }
        }

        internal static string ScriptManager_LoadScriptsBeforeUI
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_LoadScriptsBeforeUI", resourceCulture);
            }
        }

        internal static string ScriptManager_OnlyOneScriptManager
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_OnlyOneScriptManager", resourceCulture);
            }
        }

        internal static string ScriptManager_ProfileService
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_ProfileService", resourceCulture);
            }
        }

        internal static string ScriptManager_ResolveScriptReference
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_ResolveScriptReference", resourceCulture);
            }
        }

        internal static string ScriptManager_RoleService
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_RoleService", resourceCulture);
            }
        }

        internal static string ScriptManager_ScriptMode
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_ScriptMode", resourceCulture);
            }
        }

        internal static string ScriptManager_ScriptPath
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_ScriptPath", resourceCulture);
            }
        }

        internal static string ScriptManager_Scripts
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_Scripts", resourceCulture);
            }
        }

        internal static string ScriptManager_Services
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_Services", resourceCulture);
            }
        }

        internal static string ScriptManager_UpdatePanelNotRegistered
        {
            get
            {
                return ResourceManager.GetString("ScriptManager_UpdatePanelNotRegistered", resourceCulture);
            }
        }

        internal static string ScriptReference_Assembly
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_Assembly", resourceCulture);
            }
        }

        internal static string ScriptReference_AssemblyRequiresName
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_AssemblyRequiresName", resourceCulture);
            }
        }

        internal static string ScriptReference_IgnoreScriptPath
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_IgnoreScriptPath", resourceCulture);
            }
        }

        internal static string ScriptReference_InvalidReleaseScriptName
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_InvalidReleaseScriptName", resourceCulture);
            }
        }

        internal static string ScriptReference_InvalidReleaseScriptPath
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_InvalidReleaseScriptPath", resourceCulture);
            }
        }

        internal static string ScriptReference_Name
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_Name", resourceCulture);
            }
        }

        internal static string ScriptReference_NameAndPathCannotBeEmpty
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_NameAndPathCannotBeEmpty", resourceCulture);
            }
        }

        internal static string ScriptReference_NotifyScriptLoaded
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_NotifyScriptLoaded", resourceCulture);
            }
        }

        internal static string ScriptReference_Path
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_Path", resourceCulture);
            }
        }

        internal static string ScriptReference_ResourceUICultures
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_ResourceUICultures", resourceCulture);
            }
        }

        internal static string ScriptReference_ScriptMode
        {
            get
            {
                return ResourceManager.GetString("ScriptReference_ScriptMode", resourceCulture);
            }
        }

        internal static string ScriptRegistrationManager_ControlNotOnPage
        {
            get
            {
                return ResourceManager.GetString("ScriptRegistrationManager_ControlNotOnPage", resourceCulture);
            }
        }

        internal static string ScriptRegistrationManager_InvalidChars
        {
            get
            {
                return ResourceManager.GetString("ScriptRegistrationManager_InvalidChars", resourceCulture);
            }
        }

        internal static string ScriptRegistrationManager_NoCloseTag
        {
            get
            {
                return ResourceManager.GetString("ScriptRegistrationManager_NoCloseTag", resourceCulture);
            }
        }

        internal static string ScriptRegistrationManager_NoTags
        {
            get
            {
                return ResourceManager.GetString("ScriptRegistrationManager_NoTags", resourceCulture);
            }
        }

        internal static string ScriptResourceHandler_AssemblyNotFileBased
        {
            get
            {
                return ResourceManager.GetString("ScriptResourceHandler_AssemblyNotFileBased", resourceCulture);
            }
        }

        internal static string ScriptResourceHandler_DuplicateScriptResources
        {
            get
            {
                return ResourceManager.GetString("ScriptResourceHandler_DuplicateScriptResources", resourceCulture);
            }
        }

        internal static string ScriptResourceHandler_InvalidRequest
        {
            get
            {
                return ResourceManager.GetString("ScriptResourceHandler_InvalidRequest", resourceCulture);
            }
        }

        internal static string ScriptResourceHandler_TypeNameMismatch
        {
            get
            {
                return ResourceManager.GetString("ScriptResourceHandler_TypeNameMismatch", resourceCulture);
            }
        }

        internal static string ScriptResourceHandler_UnknownResource
        {
            get
            {
                return ResourceManager.GetString("ScriptResourceHandler_UnknownResource", resourceCulture);
            }
        }

        internal static string ServiceReference_InlineScript
        {
            get
            {
                return ResourceManager.GetString("ServiceReference_InlineScript", resourceCulture);
            }
        }

        internal static string ServiceReference_Path
        {
            get
            {
                return ResourceManager.GetString("ServiceReference_Path", resourceCulture);
            }
        }

        internal static string ServiceReference_PathCannotBeEmpty
        {
            get
            {
                return ResourceManager.GetString("ServiceReference_PathCannotBeEmpty", resourceCulture);
            }
        }

        internal static string ServiceUriNotFound
        {
            get
            {
                return ResourceManager.GetString("ServiceUriNotFound", resourceCulture);
            }
        }

        internal static string SqlHelper_SqlEverywhereNotInstalled
        {
            get
            {
                return ResourceManager.GetString("SqlHelper_SqlEverywhereNotInstalled", resourceCulture);
            }
        }

        internal static string TemplatePagerField_OnPagerCommand
        {
            get
            {
                return ResourceManager.GetString("TemplatePagerField_OnPagerCommand", resourceCulture);
            }
        }

        internal static string TemplatePagerField_PagerTemplate
        {
            get
            {
                return ResourceManager.GetString("TemplatePagerField_PagerTemplate", resourceCulture);
            }
        }

        internal static string TemplatePagerField_UnhandledEvent
        {
            get
            {
                return ResourceManager.GetString("TemplatePagerField_UnhandledEvent", resourceCulture);
            }
        }

        internal static string Timer_IntervalMustBeGreaterThanZero
        {
            get
            {
                return ResourceManager.GetString("Timer_IntervalMustBeGreaterThanZero", resourceCulture);
            }
        }

        internal static string Timer_TimerEnable
        {
            get
            {
                return ResourceManager.GetString("Timer_TimerEnable", resourceCulture);
            }
        }

        internal static string Timer_TimerInterval
        {
            get
            {
                return ResourceManager.GetString("Timer_TimerInterval", resourceCulture);
            }
        }

        internal static string Timer_TimerTick
        {
            get
            {
                return ResourceManager.GetString("Timer_TimerTick", resourceCulture);
            }
        }

        internal static string UnhandledExceptionEventLogMessage
        {
            get
            {
                return ResourceManager.GetString("UnhandledExceptionEventLogMessage", resourceCulture);
            }
        }

        internal static string UpdatePanel_CannotModifyControlCollection
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_CannotModifyControlCollection", resourceCulture);
            }
        }

        internal static string UpdatePanel_CannotSetContentTemplate
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_CannotSetContentTemplate", resourceCulture);
            }
        }

        internal static string UpdatePanel_ChildrenAsTriggers
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_ChildrenAsTriggers", resourceCulture);
            }
        }

        internal static string UpdatePanel_ChildrenTriggersAndUpdateAlways
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_ChildrenTriggersAndUpdateAlways", resourceCulture);
            }
        }

        internal static string UpdatePanel_RenderMode
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_RenderMode", resourceCulture);
            }
        }

        internal static string UpdatePanel_SetPartialRenderingModeCalledOnce
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_SetPartialRenderingModeCalledOnce", resourceCulture);
            }
        }

        internal static string UpdatePanel_Triggers
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_Triggers", resourceCulture);
            }
        }

        internal static string UpdatePanel_UpdateConditional
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_UpdateConditional", resourceCulture);
            }
        }

        internal static string UpdatePanel_UpdateMode
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_UpdateMode", resourceCulture);
            }
        }

        internal static string UpdatePanel_UpdateTooLate
        {
            get
            {
                return ResourceManager.GetString("UpdatePanel_UpdateTooLate", resourceCulture);
            }
        }

        internal static string UpdatePanelControlTrigger_ControlID
        {
            get
            {
                return ResourceManager.GetString("UpdatePanelControlTrigger_ControlID", resourceCulture);
            }
        }

        internal static string UpdatePanelControlTrigger_ControlNotFound
        {
            get
            {
                return ResourceManager.GetString("UpdatePanelControlTrigger_ControlNotFound", resourceCulture);
            }
        }

        internal static string UpdatePanelControlTrigger_NoControlID
        {
            get
            {
                return ResourceManager.GetString("UpdatePanelControlTrigger_NoControlID", resourceCulture);
            }
        }

        internal static string UpdateProgress_AssociatedUpdatePanelID
        {
            get
            {
                return ResourceManager.GetString("UpdateProgress_AssociatedUpdatePanelID", resourceCulture);
            }
        }

        internal static string UpdateProgress_DisplayAfter
        {
            get
            {
                return ResourceManager.GetString("UpdateProgress_DisplayAfter", resourceCulture);
            }
        }

        internal static string UpdateProgress_DisplayAfterInvalid
        {
            get
            {
                return ResourceManager.GetString("UpdateProgress_DisplayAfterInvalid", resourceCulture);
            }
        }

        internal static string UpdateProgress_DynamicLayout
        {
            get
            {
                return ResourceManager.GetString("UpdateProgress_DynamicLayout", resourceCulture);
            }
        }

        internal static string UpdateProgress_NoUpdatePanel
        {
            get
            {
                return ResourceManager.GetString("UpdateProgress_NoUpdatePanel", resourceCulture);
            }
        }

        internal static string UpdateProgress_ProgressTemplate
        {
            get
            {
                return ResourceManager.GetString("UpdateProgress_ProgressTemplate", resourceCulture);
            }
        }

        internal static string UpdateProgress_TemplateRequired
        {
            get
            {
                return ResourceManager.GetString("UpdateProgress_TemplateRequired", resourceCulture);
            }
        }

        internal static string UserIsNotAuthenticated
        {
            get
            {
                return ResourceManager.GetString("UserIsNotAuthenticated", resourceCulture);
            }
        }

        internal static string WebResourceUtil_AssemblyDoesNotContainDebugWebResource
        {
            get
            {
                return ResourceManager.GetString("WebResourceUtil_AssemblyDoesNotContainDebugWebResource", resourceCulture);
            }
        }

        internal static string WebResourceUtil_AssemblyDoesNotContainEmbeddedResource
        {
            get
            {
                return ResourceManager.GetString("WebResourceUtil_AssemblyDoesNotContainEmbeddedResource", resourceCulture);
            }
        }

        internal static string WebResourceUtil_AssemblyDoesNotContainReleaseWebResource
        {
            get
            {
                return ResourceManager.GetString("WebResourceUtil_AssemblyDoesNotContainReleaseWebResource", resourceCulture);
            }
        }

        internal static string WebService_Error
        {
            get
            {
                return ResourceManager.GetString("WebService_Error", resourceCulture);
            }
        }

        internal static string WebService_InvalidGenerateScriptType
        {
            get
            {
                return ResourceManager.GetString("WebService_InvalidGenerateScriptType", resourceCulture);
            }
        }

        internal static string WebService_InvalidInlineVirtualPath
        {
            get
            {
                return ResourceManager.GetString("WebService_InvalidInlineVirtualPath", resourceCulture);
            }
        }

        internal static string WebService_InvalidVerbRequest
        {
            get
            {
                return ResourceManager.GetString("WebService_InvalidVerbRequest", resourceCulture);
            }
        }

        internal static string WebService_InvalidWebServiceCall
        {
            get
            {
                return ResourceManager.GetString("WebService_InvalidWebServiceCall", resourceCulture);
            }
        }

        internal static string WebService_InvalidXmlReturnType
        {
            get
            {
                return ResourceManager.GetString("WebService_InvalidXmlReturnType", resourceCulture);
            }
        }

        internal static string WebService_MissingArg
        {
            get
            {
                return ResourceManager.GetString("WebService_MissingArg", resourceCulture);
            }
        }

        internal static string WebService_NoScriptServiceAttribute
        {
            get
            {
                return ResourceManager.GetString("WebService_NoScriptServiceAttribute", resourceCulture);
            }
        }

        internal static string WebService_NoWebServiceData
        {
            get
            {
                return ResourceManager.GetString("WebService_NoWebServiceData", resourceCulture);
            }
        }

        internal static string WebService_NoWebServiceDataInlineScript
        {
            get
            {
                return ResourceManager.GetString("WebService_NoWebServiceDataInlineScript", resourceCulture);
            }
        }

        internal static string WebService_RedirectError
        {
            get
            {
                return ResourceManager.GetString("WebService_RedirectError", resourceCulture);
            }
        }

        internal static string WebService_UnknownWebMethod
        {
            get
            {
                return ResourceManager.GetString("WebService_UnknownWebMethod", resourceCulture);
            }
        }
    }
}

