﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ice.Web.UI;
using System.IO;
using System.Web.UI;
using Ice.Web.UI.Css;

namespace Ice.Web.Resources.Themes
{
	class Black : Aero
	{
		public override IceThemeEnum Theme { get { return IceThemeEnum.Black; } }
		public override string ButtonBackgroundImage { get { return IceScriptManager.CreateUrl(".Black.Images.btnback.png"); } }
		public override string ButtonBackgroundColor { get { return "black"; } }
		public override string ButtonBorderColor { get { return "black"; } }
		public override string ButtonTextColor { get { return "white"; } }
		public override string FrameColor { get { return "gainsboro"; } }
		public override string FrameBorderColor { get { return "silver"; } }
		public override string SplitBarHoverColor { get { return "black"; } }
		public override string WindowFrameColor { get { return "black"; } }

		protected override void WriteThemeCss(IceStyleSheet styleSheet)
		{
			base.WriteThemeCss(styleSheet);
		}

	}
}
