﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ice.Web.UI;
using System.IO;
using System.Web.UI;
using Ice.Web.UI.Css;

namespace Ice.Web.Resources.Themes
{
	class LightBlue : Aero
	{
		public override IceThemeEnum Theme { get { return IceThemeEnum.LightBlue; } }
		public override string ButtonBackgroundImage { get { return IceScriptManager.CreateUrl(".LightBlue.Images.btnback.png"); } }
		public override string ButtonBackgroundColor { get { return "#E2E2E2"; } }
		public override string ButtonBorderColor { get { return "gray"; } }
		public override string ButtonTextColor { get { return "black"; } }
		public override string FrameColor { get { return "#D9E5F3"; } }
		public override string FrameBorderColor { get { return "#99BCE8"; } }
		public override string SplitBarHoverColor { get { return "silver"; } }
		public override string WindowFrameColor { get { return "#1A6F96"; } }

		protected override void WriteThemeCss(IceStyleSheet styleSheet)
		{
			base.WriteThemeCss(styleSheet);
		}

	}
}
