﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ice.Web.UI.Css
{
	public class IcePlainCssText : IIceCssItem
	{
		private string _cssText;

		public IcePlainCssText(string cssText)
		{
			_cssText = cssText;
		}

		public string ToCssString()
		{
			return _cssText;
		}

		public IcePlainCssText AddToStyleSheet(IceStyleSheet sheet)
		{
			sheet.Add(this);
			return this;
		}


		public IcePlainCssText Clone()
		{
			return new IcePlainCssText(this._cssText);
		}

		IIceCssItem IIceCssItem.Clone()
		{
			return this.Clone();
		}
	}
}
