﻿
Ice.Web.UI.WebControls.IceTreeView = function (id)
{
	this._id = id;
	this._rootText = "&nbsp;";

	this.init();
};

Ice.Web.UI.WebControls.IceTreeView.DraggZIndex = 10000000;

Ice.Web.UI.WebControls.IceTreeView.ContextMenu = null;

Ice.Web.UI.WebControls.IceTreeView.prototype = new (function ()
{
	this.GetChildren = function (parentId, callback) { alert("GetChildren not implemented"); };
	this.SaveNodes = function (nodesArray, callback) { alert("SaveNodes not implemented"); };
	this.DeleteNodes = function (nodesArray, callback) { alert("DeleteNodes not implemented"); };
	this.NewNode = function (nodesArray, callback) { alert("NewNode not implemented"); };
	this.OnChildrenLoaded = new Ice.MulticastDelegate();

	this.init = function ()
	{
		var mainContainer = document.getElementById(this._id);

		this.init = null;

		this.OnChildrenLoaded = new Ice.MulticastDelegate();

		this.contextMenu = new Ice.Web.UI.WebControls.IceTreeContextMenu();

		$$ice(mainContainer).SetSelectable(false);

		this.domContainerEl = mainContainer;
		this.domContainerEl.className = "ice-tree";
		this.domContainerEl.onselectstart = function () { return false; };
		this.domContainerEl.ondragstart = function () { return false; };
		this.domContainerEl.oncontextmenu = function () { return false; };

		//data: [{"Name":"Početna","NodeID":1,"ParentNodeID":null,"Ordinal":5}]
		var rootConfig =
		{
			ownerTree: this,
			parentNode: { domChildrenHolder: this.domContainerEl },
			Name: this._rootText,
			NodeID: null,
			NodeDraggable: false,
			isRoot: true
		};
		this.rootNode = new Ice.Web.UI.WebControls.IceTreeNode(rootConfig);
		this.rootNode.CreateElementDom();
		////this.rootNode.Expand();
	};

	this.Expand = function ()
	{
		// expand can not be invoked before the GetChildren override is applied
		this.rootNode.Expand();
	};


})();

