﻿/// <reference path="../../ice-fix-ext-before.js" />
/// <reference path="../../Ext_21/source/core/Ext.js" />
/// <reference path="../../Ext_21/source/adapter/ext-base.js" />
/// <reference path="../../Ext_21/ext-all-debug.js" />
/// <reference path="../../ice-fix-ext-after.js" />
/// <reference path="DbAdminNamespace.js" />
/// <reference path="TabCloseMenu.js" />
/// <reference path="CategoriesMainForm.js" />
/// <reference path="GridWithPaging.js" />


Ice.DbAdmin.GetMainWindow = function(){	

	var tabs = new Ext.TabPanel({
		resizeTabs:true,
		autoWidth:false,
		tabWidth:180,
		minTabWidth:180,
		activeTab:0,
		border:false,
		//width:150,
		split:true,
		tabPosition:"top",//'bottom',
		//autoScroll:true, // doesn't work for bottom		
		//layout:"fit",
		items:
		[ // ECECEC vista // E0EEFA original//
			{
				title:"home",
				iconCls:"icon_house",
				html:"<table style='width:100%; height:100%; background-color:#ECECEC; text-align:center;'>" +
					"<tr><td style='font-size:30px; color:#15428B;'>Makrosistem Control Panel</td></tr>" + 
					"<tr><td style='color:#15428B;'><a href='./' onclick='return Ice.DbAdmin.Logout();'>logout</a></td></tr>" + 
					"</table>"
			},
			{
				title:"tables",
				layout:"fit",
				iconCls:"icon_table",
				items: Ice.DbAdmin.GetGridWithPaging(null)
			},
			{
				title:"categories",
				layout:"fit",
				iconCls:"icon_application_side_tree",
				items: Ice.DbAdmin.GetCategoriesMainForm()
			}
		]
	});


	var win = new Ext.Window({
		//title: "MojMobi Control Panel - www.MojMobi.info",
		title:"Makrosistem Contorl Panel",
		//minimizable:true,
		maximizable:false,
		closable:false,
		maximized:true,
		border:true,
		//frame:false,
		width:document.body.offsetWidth > 1200 ? 1200 - 40 : document.body.offsetWidth - 40,
		height: document.body.offsetHeight > 800 ? 800 - 40 : document.body.offsetHeight - 40,
		shim:false,
		closeAction:'hide',
		animCollapse:false,
		//constrainHeader:true,
		layout: 'fit',
		items: [tabs]
	});
		
	//win.show();
	
	return win;
	
};

Ice.DbAdmin.Logout = function(){
	GService.Logout(function(){
		window.location = window.location;
	});
	return true;
};


Ext.onReady(function(){

	Ext.QuickTips.init();
	Ice.DbAdmin.GetMainWindow().show();
	
});
