﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace Ice.Net.Ecommerce.BusinessObjects.Common
{
	using BusinessObjects.Database.VISTACART;

	public class ValidationUtility
	{
		public static bool UserNameValidFormat(string username)
		{
			return (Regex.IsMatch(username, @"^([\w\.-]+)$"));
		}

		public static bool IsEmailValidFormat(string email)
		{

			return (Regex.IsMatch(email, @"^(\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*)$"));
			//return (Regex.IsMatch(email, @"^([\w\.-]+)@([\w\.-]+)\.([\w\.-]+)$"));
		}


	}
}
