﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;
using Ice.Net.Ecommerce.PaymentGateways;
using System.Linq;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class PaymentType
	{
		#region Public properties

		public string ControlPanelHtml2
		{
			get 
			{
				try
				{
					return Ice.Net.Ecommerce.PaymentGateways.PGLoader.GetPG(this.PGName).GetControlPanelHtml();
				}
				catch
				{
					return "no Control Panel HTML for PG - " + this.PGName + " - id: " + this.PaymentTypeID;
				}
			}
		}

		#endregion

		#region Database methods overrides

		#endregion

		#region Database methods

		public static PaymentType LoadByPGName(string pgName)
		{
			return new Query()
			.Where(db.PaymentType.PGName, pgName)
			.ToList<PaymentType>().FirstOrDefault();
		}

		#endregion

	}

}
