﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class StateCollection : List<State>
	{
		#region Database methods
		// Database methods

		public static List<State> LoadByCountryID(int countryID, bool activeOnly)
		{
			return new Query()
			.Where(db.State.CountryID, countryID)
			.Case(activeOnly, o => o.Where(db.State.IsActive, activeOnly))
			.Take(1000)
			.ToList<State>();
		}

		public int DeleteByCountryID(int countryID)
		{
			return new Query().Delete(db.ProductInCategory)
			.Where(db.State.CountryID, countryID)
			.ExecuteNonQuery<ProductInCategory>();
		}

		#endregion
	}
}
