﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Ice.Net.Ecommerce.BusinessObjects.Common;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;
using Ice.Net.Ecommerce.Web.Modules.HtmlElements;

namespace Ice.Net.Ecommerce.Web.Modules
{
	public partial class ContactUs : System.Web.UI.UserControl
	{
		protected string mName;
		protected string mEmail;

		protected void Page_Load(object sender, EventArgs e)
		{
			if (VISTACARTHelper.CurrentUser.UserTicket.IsAuthenticated)
			{
				Address address = new Address();
				if (address.LoadFromDB(VISTACARTHelper.CurrentUser.User.AddressID))
				{
					mName = address.FirstName + " " + (!string.IsNullOrEmpty(address.MiddleName) ? address.MiddleName + " " : "") + address.LastName;
					mEmail = address.Email;// VISTACARTHelper.CurrentUser.User.Email;
				}
			}
		}
	}
}