﻿using System;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;
using System.Web.Script.Serialization;

namespace Ice.Net.Ecommerce.Web.Modules
{
	public partial class ScriptManagerImpl : System.Web.UI.UserControl
	{
		/// <summary>
		/// Messages in current user language which are called from JavaScript in *.js files
		/// </summary>
		private class SystemMsg
		{
			public string SelectAttributes = Message.GetContent(Message.NameEnum.SelectAttributes);
			public string MissingRequiredFields = Message.GetContent(Message.NameEnum.MissingRequiredFields);
			public string AgreeWithTerms = Message.GetContent(Message.NameEnum.AgreeWithTerms);
		}

		protected string mSkinDirectory = BusinessObjects.Common.ApplicationUtility.SkinDirectoryRelative;

		protected static string mSystemMessages = null;

		protected void Page_Load(object sender, EventArgs e)
		{
			// get system messages for JS
			if (mSystemMessages == null)
			{
				JavaScriptSerializer ser = new JavaScriptSerializer();
				mSystemMessages = "SystemMsg: " + ser.Serialize(new SystemMsg());
			}
		}

		public void AddService(string path)
		{
			IceScriptManager1.Scripts += "\r\n" + path + "\r\n";
		}
	}
}