﻿using System;
using System.Collections.Generic;
namespace Ice.Orm.Core.Criteria.SqlBlocks
{
	public class SqlSegment
	{
		public QParameter Parameter { get; private set; }
		public string Text { get; private set; }
		//public SqlName SqlName { get; private set; }

		public SqlSegment(string text)
		{
			this.Text = text;
		}

		public SqlSegment(QParameter par)
		{
			this.Parameter = par;
		}

		public SqlSegment(SqlName name)
		{
			this.Text = name.ToFullSqlName();
		}
	}
}
