﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ice.Orm.Core.Entity
{
	[AttributeUsage(AttributeTargets.Field | AttributeTargets.Property, AllowMultiple = false, Inherited = true)]
	public sealed class AssociationAttribute : Attribute
	{
		public EntitySetting EntitySetting { get; internal set; }

		public string Name{get;set;}

		public string Storage{get;set;}
	
		public bool DeleteOnNull{get;set;}

		public string DeleteRule{get;set;}

		public bool IsForeignKey{get;set;}

		public bool IsUnique{get;set;}

		public string OtherKey{get;set;}

		public string ThisKey{get;set;}

		public string ThisTableName { get; set; }

		public string OtherTableName { get; set; }

	}
}

