﻿#if DEBUG

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ice.Orm.Core.Entity;

namespace Ice.Orm.Core.LINQ.SelfTest.TestClasses
{
	#region test entity

	/// <summary>
	/// [EntitySetting("Appointment", "SelfTestDB")]
	/// </summary>
	[EntitySetting("ApObj", "SelfTestDB")]
	public class ApplicationObject : EntityBase
	{
		#region Public properties
		// Public properties

		/// <summary>
		/// [EntityFieldSetting("AppointmentID", AutoIncrement=true, IsPrimaryKey=true, DataType=typeof(System.Int32))]
		/// </summary>
		[EntityFieldSetting("AppointmentID", IsAutoIncrement = true, IsPrimaryKey = true, DataType = typeof(System.Int32))]
		public System.Int32 Id
		{
			get { return base.GetValue<System.Int32>("AppointmentID"); }
			set { base.SetValue<System.Int32>("AppointmentID", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("AppointmentKindID", AllowDBNull=true, DataType=typeof(System.Int32))]
		/// </summary>
		[EntityFieldSetting("AppointmentKindID", AllowDBNull = true, DataType = typeof(System.Int32))]
		public System.Int32? AppointmentKindID
		{
			get { return base.GetValue<System.Int32?>("AppointmentKindID"); }
			set { base.SetValue<System.Int32?>("AppointmentKindID", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("ChatAnimatorID", AllowDBNull=true, DataType=typeof(System.Int32))]
		/// </summary>
		[EntityFieldSetting("ChatAnimatorID", AllowDBNull = true, DataType = typeof(System.Int32))]
		public System.Int32? ChatAnimatorID
		{
			get { return base.GetValue<System.Int32?>("ChatAnimatorID"); }
			set { base.SetValue<System.Int32?>("ChatAnimatorID", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("Active", DataType=typeof(System.Boolean))]
		/// </summary>
		[EntityFieldSetting("Active", DataType = typeof(System.Boolean))]
		public System.Boolean Active
		{
			get { return base.GetValue<System.Boolean>("Active"); }
			set { base.SetValue<System.Boolean>("Active", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("Published", DataType=typeof(System.Boolean))]
		/// </summary>
		[EntityFieldSetting("Published", DataType = typeof(System.Boolean))]
		public System.Boolean? Published
		{
			get { return base.GetValue<System.Boolean>("Published"); }
			set { base.SetValue<System.Boolean>("Published", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("StartDate", DataType=typeof(System.DateTime))]
		/// </summary>
		[EntityFieldSetting("StartDate", DataType = typeof(System.DateTime))]
		public System.DateTime StartDate
		{
			get { return base.GetValue<System.DateTime>("StartDate"); }
			set { base.SetValue<System.DateTime>("StartDate", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("EndDate", AllowDBNull=true, DataType=typeof(System.DateTime))]
		/// </summary>
		[EntityFieldSetting("EndDate", AllowDBNull = true, DataType = typeof(System.DateTime))]
		public System.DateTime? EndDate
		{
			get { return base.GetValue<System.DateTime?>("EndDate"); }
			set { base.SetValue<System.DateTime?>("EndDate", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("Subject", AllowDBNull=true, DataType=typeof(System.String), MaxLength=500)]
		/// </summary>
		[EntityFieldSetting("Subject", AllowDBNull = true, DataType = typeof(System.String), ColumnSize = 500)]
		public System.String Subject
		{
			get { return base.GetValue<System.String>("Subject"); }
			set { base.SetValue<System.String>("Subject", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("Location", AllowDBNull=true, DataType=typeof(System.String), MaxLength=500)]
		/// </summary>
		[EntityFieldSetting("Location", AllowDBNull = true, DataType = typeof(System.String), ColumnSize = 500)]
		public System.String Location
		{
			get { return base.GetValue<System.String>("Location"); }
			set { base.SetValue<System.String>("Location", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("Note", AllowDBNull=true, DataType=typeof(System.String), MaxLength=1000)]
		/// </summary>
		[EntityFieldSetting("Note", AllowDBNull = true, DataType = typeof(System.String), ColumnSize = 1000)]
		public System.String Note
		{
			get { return base.GetValue<System.String>("Note"); }
			set { base.SetValue<System.String>("Note", value); }
		}

		/// <summary>
		/// [EntityFieldSetting("ReservationDate", AllowDBNull=true, DataType=typeof(System.DateTime))]
		/// </summary>
		[EntityFieldSetting("ReservationDate", AllowDBNull = true, DataType = typeof(System.DateTime))]
		public System.DateTime? ReservationDate
		{
			get { return base.GetValue<System.DateTime?>("ReservationDate"); }
			set { base.SetValue<System.DateTime?>("ReservationDate", value); }
		}

		#endregion

		#region Constructors
		// Constructors

		/// <summary>
		/// Default constructor
		/// </summary>
		public ApplicationObject()
		{
		}

		#endregion

		#region Database methods
		// Database methods

		#endregion

	}

	#endregion

}
#endif
