﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Ice.Xml.Parser
{
	public class XmlAttribute
	{
		public string Name { get; set; }
		public string Value { get; set; }

		public XmlAttribute()
		{
		}

		public string GetString()
		{
			if (Value == null)
			{
				// HTML 5 comapatibility, attribute name may not have value: <audio controls autoplay preload="none">....</audio>
				return Name;
			}
			else
			{
				return Name + "=\"" + Value + "\"";
			}
		}

		public XmlAttribute(string name, string value)
		{
			Name = name;
			Value = value;
		}

	}


}
