﻿//******** NO EXTERNAL DEPENDENCIES ********

if (typeof (Ice) == "undefined") { Ice = {}; }

Ice.ScriptLoader = new (function ()
{
	var __sc = this;

	__sc.LoadJSFile = function (scriptFile)
	{
		var s = document.createElement("script");
		s.type = "text/javascript";
		s.src = scriptFile;
		document.documentElement.appendChild(s);
		return s;
	};

	__sc.LoadJS = function (javascriptCode)
	{
		var s = document.createElement("script");
		s.type = "text/javascript";
		s.text = s.textContent = javascriptCode; // ie9 or higher and gecko uses textContent, <=ie8 uses text
		document.documentElement.appendChild(s);
		return s;
	};

	__sc.LoadCSSFile = function (cssFile, scriptId)
	{
		var s = document.createElement("link");
		s.rel = "stylesheet";
		s.type = "text/css";
		s.href = cssFile;
		document.documentElement.appendChild(s);
		return s;
	};

	__sc.LoadCSS = function (cssScriptCode, scriptId)
	{
		var s = document.createElement("style");
		s.type = "text/css";
		s.text = s.textContent = cssScriptCode; // works with ie 9 or higher and gecko only, <=ie8 is not supported
		document.documentElement.appendChild(s);
		return s;
	};

	return __sc;

})();


