﻿
//****************************************************************
// WARNING: UNIFINISHED CODE, MAY NOT WORK AS EXPECTED
//****************************************************************
// NOT USED ANY MORE

Ice.EffectManager = function (element)
{
	var __this = this;

	var childEl = element;

	if (childEl.__effectManager)
	{
		return childEl.__effectManager;
	}

	childEl.__effectManager = __this;

	var top = 0;
	var right = 0;
	var bottom = 0;
	var left = 0;

	var container;
	var transformDiv;
	var translateDiv;
	var clipDiv;
	var contentDiv;

	function EnsureManager()
	{
		if (container)
		{
			return;
		}

		var absPosition = Ice.Utility.Dom.GetElementPagePosition(childEl);

		// remove margins and relative positions:
		var clonedEl = $$ice(childEl).CloneNodes().ApplyStyleMap({top:0, left:0, bottom:0, right:0, margin:0}).First();

		container =
			new Ice.DomQuery.HtmlElement("div")
			.AddClass("effect-container-div")
			.ApplyStyle("position:absolute;")
			.ApplyStyle("width", absPosition.width).ApplyStyle("height", absPosition.height).ApplyStyle("top", absPosition.top).ApplyStyle("left", absPosition.left)
			.AddAsChildrenTo(document.body)
			.AddChildren(
				$$ice(transformDiv = new Ice.DomQuery.HtmlElement("div").First())
				.AddClass("effect-transform-div")
				.ApplyStyle("position:relative;")
				////.ApplyStyle("margin-left:" + left + "px; margin-top:" + top + "px; margin-bottom:" + bottom + "px; margin-right:" + right + "px")
				.AddChildren(
					$$ice(translateDiv = new Ice.DomQuery.HtmlElement("div").First())
					.AddClass("effect-translate-div")
					.ApplyStyle("position:relative;")
					.AddChildren(
						$$ice(clipDiv = new Ice.DomQuery.HtmlElement("div").First())
						.AddClass("effect-clip-div")
						.ApplyStyle("position:relative;overflow:hidden")
						////.ApplyStyle("margin-left:" + left + "px; margin-top:" + top + "px; margin-bottom:" + bottom + "px; margin-right:" + right + "px")
						.AddChildren(
							$$ice(contentDiv = new Ice.DomQuery.HtmlElement("div").First())
							.AddClass("effect-content-div")
							.ApplyStyle("position:relative")
							.ApplyStyle("width", childEl.offsetWidth).ApplyStyle("height", childEl.offsetHeight)
							////.ApplyStyle("margin-left:" + (-1 * left) + "px; margin-top:" + (-1 * top) + "px; margin-bottom:" + (-1 * bottom) + "px; margin-right:" + (-1 * right) + "px")
							.AddChildren(clonedEl)
				)))).First();

		$$ice(childEl).SetOpacity(0);
	}

	this.SetClip = function (top, right, bottom, left)
	{
		if (Ice.IsVSIntellisene) { return this; }

		EnsureManager();

		top = top || 0;
		right = arguments.length > 1 ? right : top;
		bottom = arguments.length > 2 ? bottom : top;
		left = arguments.length > 3 ? left : right;

		top = CalculatePxClipValue(top, true, false, false, false);
		right = CalculatePxClipValue(right, false, true, false, false);
		bottom = CalculatePxClipValue(bottom, false, false, true, false); // just like in css, top and right may be specified only, so bottom has top value
		left = CalculatePxClipValue(left, false, false, false, true);

		var y = (top + bottom) / container.offsetHeight;
		if (y > 1)
		{
			top = top / y;
			bottom = bottom / y;
		}

		var x = (left + right) / container.offsetWidth;
		if (x > 1)
		{
			left = left / x;
			right = right / x;
		}

		if (top < 0) { top = 0; }
		if (right < 0) { right = 0; }
		if (bottom < 0) { bottom = 0; }
		if (left < 0) { left = 0; }

		console.log([top, right, bottom, left].join(", "));

		$$ice(clipDiv).ApplyStyle("margin-left:" + left + "px; margin-top:" + top + "px; margin-bottom:" + bottom + "px; margin-right:" + right + "px");
		$$ice(contentDiv).ApplyStyle("margin-left:" + (-1 * left) + "px; margin-top:" + (-1 * top) + "px; margin-bottom:" + (-1 * bottom) + "px; margin-right:" + (-1 * right) + "px");

		return this;
	};

	function CalculatePxValue(val, originalSize, currPosition)
	{
		/// <summary>
		/// 
		/// </summary>
		/// <param name="val">number, string with %</param>
		/// <param name="originalSize"></param>
		/// <param name="currPosition"></param>
		
		if (Ice.Type.IsNumber(val))
		{
			return Math.round(val);
		}
		else if (Ice.Type.IsString(val))
		{
			var m = val.match(new RegExp("[\\-]?[\\.\\d]+"));
			var intVal = parseInt(m[0], 10);
			var pxval = intVal;

			if (val.indexOf("%") > 0)
			{
				////console.log("intVal: " + intVal + ", originalSize: " + originalSize);
				pxval = Math.round(intVal * originalSize / 100); // percentage into px
			}
			else// px or nothing, if(val.indexOf("px")>0)
			{
				pxval = intVal;
			}

			var position;

			switch (val.substr(0, 2))
			{
				case "-=": // smanjujemo
					position = currPosition - pxval;
					break;
				case "+=": // povecavamo
					position = currPosition + pxval;
					break;
				default:
					position = pxval;
					break;
			}

			return Math.round(position);
		}
		return 0;
	}

	function CalculatePxClipValue(val, isTop, isRight, isBottom, isLeft)
	{
		var originalSize = isTop || isBottom ? container.offsetHeight : isLeft || isRight ? container.offsetWidth : 0;
		var currPosition = $$ice(clipDiv).SelectStyle(isTop ? "margin-top" : isRight ? "margin-right" : isBottom ? "margin-bottom" : isLeft ? "margin-left" : "none").First();
		return CalculatePxValue(val, originalSize, currPosition);
	}

	function CalculatePxTranslateValue(val, isLeft, isTop)
	{
		var originalSize = isTop ? container.offsetHeight : isLeft ? container.offsetWidth : 0;
		var currPosition = Ice.Convert.ToNumberOrDefault($$ice(translateDiv).SelectStyle(isTop ? "top" : isLeft ? "left" : "none").First(), 0); // if initial value is auto
		return CalculatePxValue(val, originalSize, currPosition);
	}

	this.SetTranslate = function (left, top)
	{
		if (Ice.IsVSIntellisene) { return this; }

		EnsureManager();

		left = left || 0;
		top = arguments.length > 1 ? top : left;

		left = CalculatePxTranslateValue(left, true, false);
		top = CalculatePxTranslateValue(top, false, true);

		$$ice(translateDiv).ApplyStyle("margin-left", left).ApplyStyle("margin-top", top);

		return this;
	};

	this.SetTranslateClip = function (useClipping)
	{
		if (Ice.IsVSIntellisene) { return this; }

		EnsureManager();

		// postaviti overflow na parent div
		$$ice(transformDiv).ApplyStyle("overflow", useClipping ? "hidden" : "visible");

		return this;
	};

	this.CalculatePropertyValue = function (name, value)
	{
		/// <summary>
		/// Calculate propertie's new value.
		/// </summary>
		/// <param name="name">
		///		<para>translateLeft</para>
		///		<para>translateRight</para>
		///		<para>clipTop</para>
		///		<para>clipRight</para>
		///		<para>clipBottom</para>
		///		<para>clipLeft</para>
		/// </param>
		/// <param name="value">
		///	<para>int value in px</para>
		///	<para>string value with unit px or %, if no unit provided, px is used</para>
		///	<para>string, += or -=, eg. +=33, +=33px, += 33% </para>
		/// </param>
		EnsureManager();

		switch (name)
		{
			case "translateLeft":
				return CalculatePxTranslateValue(value, true, false);
			case "translateTop":
				return CalculatePxTranslateValue(value, false, true);
			case "clipTop":
				return CalculatePxClipValue(value, true, false, false, false);
			case "clipRight":
				return CalculatePxClipValue(value, false, true, false, false);
			case "clipBottom":
				return CalculatePxClipValue(value, false, false, true, false);
			case "clipLeft":
				return CalculatePxClipValue(value, false, false, false, true);
			default:
				Ice.Diagnostic.Exception("Unsupported property in Ice.Effect: " + name);
		}
	};

	this.GetCurrentClip = function ()
	{
		EnsureManager();

		var dd = $$ice(clipDiv).SelectStyleMap(["marginTop", "marginRight", "marginBottom", "marginLeft"]).First();
		return {
			clipTop: dd.marginTop,
			clipRight: dd.marginRight,
			clipBottom: dd.marginBottom,
			clipLeft: dd.marginLeft
		};
	};

	this.GetCurrentTranslate = function ()
	{
		EnsureManager();

		var dd = $$ice(translateDiv).SelectStyleMap(["marginLeft", "marginTop", "overflow"]).First();
		return {
			translateLeft: dd.marginLeft,
			translateTop: dd.marginTop,
			withCrop: dd.overflow == "hidden"
		};
	};

	this.GetProperty = function (name)
	{
		/// <summary>
		/// 
		/// </summary>
		/// <param name="name">
		///		<para>translateLeft</para>
		///		<para>translateRight</para>
		///		<para>clipTop</para>
		///		<para>clipRight</para>
		///		<para>clipBottom</para>
		///		<para>clipLeft</para>
		/// </param>

		switch (name)
		{
			case "translateLeft":
			case "translateTop":
				return this.GetCurrentTranslate()[name];
			case "clipTop":
			case "clipRight":
			case "clipBottom":
			case "clipLeft":
				return this.GetCurrentClip()[name];
			default:
				Ice.Diagnostic.Exception("Unsupported property in Ice.Effect: " + name);
		}
	};

	this.SetProperty = function (name, value)
	{
		/// <summary>
		/// 
		/// </summary>
		/// <param name="name">
		///		<para>translateLeft</para>
		///		<para>translateRight</para>
		///		<para>clipTop</para>
		///		<para>clipRight</para>
		///		<para>clipBottom</para>
		///		<para>clipLeft</para>
		/// </param>
		/// <param name="value">
		///	<para>int value in px</para>
		///	<para>string value with unit px or %, if no unit provided, px is used</para>
		///	<para>string, += or -=, eg. +=33, +=33px, += 33% </para>
		/// </param>

		switch (name)
		{
			case "translateLeft":
			case "translateTop":
				var curr = this.GetCurrentTranslate();
				curr[name] = value;
				this.SetTranslate(curr.translateLeft, curr.translateTop);
				break;
			case "clipTop":
			case "clipRight":
			case "clipBottom":
			case "clipLeft":
				var curr = this.GetCurrentClip();
				curr[name] = value;
				this.SetClip(curr.clipTop, curr.clipRight, curr.clipBottom, curr.clipLeft);
				break;
			default:
				Ice.Diagnostic.Exception("Unsupported property in Ice.Effect: " + name);
		}

		return this;
	};

	this.ReleaseElement = function ()
	{
		/// <summary>
		/// Has to be invoked on end to remove wrapper arround element.
		/// </summary>

		$$ice(container).RemoveFromDom();
		childEl.__effectManager = null;
	};

};
