﻿
/********************************************************************************
How to: Create JavaScript XML Documentation Comments
http://msdn.microsoft.com/en-us/library/bb514138.aspx

Extending JavaScript IntelliSense:
http://msdn.microsoft.com/en-us/library/hh874692.aspx

StandardGlyphGroup Enumeration:
http://msdn.microsoft.com/en-us/library/microsoft.visualstudio.language.intellisense.standardglyphgroup.aspx

Visual Studio intellisense engine scripts:
C:\Program Files (x86)\Microsoft Visual Studio 12.0\JavaScript\References

Basic MS Ajax types from C:\Program Files (x86)\Microsoft Visual Studio 12.0\JavaScript\References\MicrosoftAjax.intellisense.js
if (obj.__class) 	ajaxType = "class";
else if (obj.__interface) ajaxType = "interface";
else if (obj.__namespace) ajaxType = "namespace";
else if (obj.__flags) ajaxType = "flags";
else if (obj.__enum) ajaxType = "enum";

XML Documentation Comments (JavaScript):
http://msdn.microsoft.com/en-us/library/hh542720.aspx

Specifies the description for a function or method.:
<summary locid="descriptionID">description
</summary>

Specifies documentation information, including a description, for either a field or member that's defined on an object.:
<field name="fieldName" static="true|false"
    type="FieldType" integer="true|false"
    domElement="true|false" mayBeNull="true|false"
    elementType="ArrayElementType" elementInteger="true|false"
    elementDomElement="true|false" elementMayBeNull="true|false"
    helpKeyword="keyword" locid="descriptionID"
    value="code">description
</field>

Specifies documentation information for a parameter in a function or method.:
<param name="parameterName" type="ParameterType"
    integer="true|false" domElement="true|false"
    mayBeNull="true|false" elementType="ArrayElementType"
    elementInteger="true|false" elementDomElement="true|false"
    elementMayBeNull="true|false" locid="descriptionID"
    parameterArray="true|false" optional="true|false"
    value="code">description
</param>

Specifies the location and type of the sidecar file that provides localized IntelliSense information.:
<loc filename="filename"
    format="vsdoc|messagebundle" />

Specifies documentation information for the result of a function or method call.;
<returns type="ValueType" integer="true|false"
    domElement="true|false" mayBeNull="true|false"
    elementType="ArrayElementType" elementInteger="true|false"
    elementDomElement="true|false" elementMayBeNull="true|false"
    locid="descriptionID" value="code">description
</returns>

Specifies a deprecated function or method.:
<deprecated
    type="deprecate|remove"
    locid="descriptionID">description
</deprecated>

Groups a set of related elements for a function or method to provide documentation for overloaded functions.:
<signature externalid="id" externalFile="filename"
    helpKeyword="keyword" locid="descriptionID">
</signature> 

Specifies documentation information for get and set functions for ECMAScript 3 properties.:
<value type="ValueType" integer="true|false"
    domElement="true|false" mayBeNull="true|false"
    elementType="ArrayElementType" elementInteger="true|false"
    elementDomElement="true|false" elementMayBeNull="true|false"
    locid="descriptionID">description
</value>

Specifies documentation information for a variable.:
<var type="ValueType" integer="true|false"
    domElement="true|false" mayBeNull="true|false"
    elementType="ArrayElementType" elementInteger="true|false"
    elementDomElement="true|false" elementMayBeNull="true|false"
    helpKeyword="keyword" locid="descriptionID">description
</var> 


********************************************************************************/
