﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Reflection;
using System.Text;
using System.Web;
using System.Web.Services;
using System.Text.RegularExpressions;
using Ice.Web.UI;
using System.Linq;
using Ice.Utility;

namespace Ice.Web.Script.Services
{
	class FileLocation
	{
		public string CompiledTypeCustomNamespace { get; set; }
		public string BaseUrl { get; set; }
		public string DebuggingFilename { get; set; }
		public string AppRelativeVirtualPath { get; set; }

		public FileCompiler FileCompiler { get; set; }
		public Type CompiledType { get; set; }
		public bool IsCss { get; set; }
		public string FileContent{get;set;}
		public string FileName { get; set; }
		public Type RegisterType { get; set; }
		public string BlockName { get; set; }

		public override int GetHashCode()
		{
			return (this.FileContent ?? this.FileName ?? (this.CompiledType == null ? "" : this.CompiledType.FullName)).GetHashCode();
		}


	}
}