﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ice.Web.UI;
using System.IO;
using System.Web.UI;
using Ice.Web.UI.Css;

namespace Ice.Web.Resources.Themes
{
	class Silver : Aero
	{
		public override IceThemeEnum Theme { get { return IceThemeEnum.Silver; } }
		public override string ButtonBackgroundImage { get { return IceScriptManager.CreateUrl(".Silver.Images.btnback.png"); } }
		public override string ButtonBackgroundColor { get { return "silver"; } }
		public override string ButtonBorderColor { get { return "gray"; } }
		public override string ButtonTextColor { get { return "black"; } }
		public override string FrameColor { get { return "whitesmoke"; } }
		public override string FrameBorderColor { get { return "#E0E0E0"; } }
		public override string SplitBarHoverColor { get { return "silver"; } }
		public override string WindowFrameColor { get { return "#6D6D6D"; } }

		protected override void WriteThemeCss(IceStyleSheet styleSheet)
		{
			base.WriteThemeCss(styleSheet);



		}

	}
}
