﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using Ice.Colorspace;

namespace Ice.Web.UI.Css
{
	class IceCssHelper
	{
		public static string Base64EncodeImage(byte[] imgBytes, string mime)
		{
			// data:[<MIME-type>][;charset=<encoding>][;base64],<data>
			// background-image: url(data:image/jpeg;base64,/9j/4AAQSkZJRgABAQEAYABj6UAf/Z);
			// <img alt="" src="data:image/jpeg;base64,/9j/4AAQSkZJRgABAQEAYABgAAD/2wBD" />
			return "data:" + mime + ";base64," + Convert.ToBase64String(imgBytes);
		}



	}
}
