﻿/// <reference path="../language/en.js" />

QoDesk.ProductEdit.DescriptionEditor = function(txtAreaID, windowTitle)
{

	var textArea = document.getElementById(txtAreaID);
	
	var htmlEditor = {
		 xtype:'box'
		,anchor:"100%"
		//,width:420
		//,cls:"x-form-item"
		//,height:100
		,autoEl:
		{
			tag:'div', 
			//style:'margin:0px 0 0px 0;',
			html: "<iframe id='webEditorIframe' src='../Editor.aspx?c=webpage' style='width:100%; height:100px;' frameborder='0'></iframe>"
		}
	};

	function ResizeEditor()
	{
		var width = win.getInnerWidth();
		var height = win.getInnerHeight();
		
		var ifr = document.getElementById("webEditorIframe");
		ifr.style.height = (height - 50) + "px";
		// resize CuteEditor
		if(ifr.contentWindow && ifr.contentWindow.CuteEditor)
		{
			ifr.contentWindow.CuteEditor.DoResize = true;
		}
	}
	
	var formPanel = new Ext.FormPanel({
		labelAlign: 'top',
		autoScroll: false,
		bodyStyle: "background-color:#ECECEC; padding:5px;",
		width: 600,
		height:600,
		//layout:"fit",
		border:false,
		items:  htmlEditor,
		buttons: [
		{
            text: CartLanguage.Save,
            iconCls:"icon_table_save",
            tooltip:CartLanguage.ConvertAbsoluteLinksTip,
            handler: function()
            {
				SaveHandler(true);
			}
////        },{
////            text: 'Save Absolute',
////            tooltip:"NOT RECOMMENDED! Save absolute links as-is and all other links as-is without any conversion.",
////            handler: function()
////            {
////				SaveHandler(false);
////			}
        },{
            text: CartLanguage.Cancel,
            iconCls:"icon_cancel",
            handler: function()
            {
				win.close();
			}
        }]
	});
	
	var allowSave = false;

	win = new Ext.Window({// QoDesk.desktop.createWindow({
		renderTo: document.body,
		//id: windowId,
		autoscroll:false,
		taskButton:false,
		minimizable:false,
		maximizable:true,
		title: windowTitle,
		width:1030,
		height: document.body.offsetHeight > 1000 ? 1000: document.body.offsetHeight,
		iconCls: "template-icon-small",
		shim:false,
		frame:true,
		animCollapse:true,
		constrainHeader:true,
		modal:true,
		resizable:true,
		collapsible:false,
		layout: 'fit',
		items:  formPanel,
		taskbuttonTooltip: "<b>" + this.name + "</b>"
	});
	
	win.on("resize", ResizeEditor);
	win.on("show", ResizeEditor);
	win.show();
	
	var initalHtmLoaded = false;
	
	function SetInitHtml()
	{
		var ifr = document.getElementById("webEditorIframe");
		if(ifr != null && ifr.contentWindow && ifr.contentWindow.CuteEditor && ifr.contentWindow.CuteEditor.IsReady == true)
		{
			ifr.contentWindow.CuteEditor.SetHtml(textArea.value);
			initalHtmLoaded = true;
			//win.maximize(); // maximize window
//				var pos = win.getPosition();
//				alert(pos[0] + "   " +  pos[1]);
//				win.setPosition(pos[0], 0);
//				win.setHeight(document.body.offsetHeight);
				
		}
		else
		{
			setTimeout(SetInitHtml, 100);
		}
	}
	SetInitHtml();

	function SaveHandler(relativeLinks)
	{
		if(initalHtmLoaded)
		{
			var ifr = document.getElementById("webEditorIframe");
			var html = ifr.contentWindow.CuteEditor.GetHtml(relativeLinks);
			textArea.value = html;
			win.close();
		}
		else
		{
			alert(CartLanguage.NotLoadedYet);
		}
	}
	
};

